/*
 * Copyright 2012-2024 CodeLibs Project and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.codelibs.fess.app.web.api.admin;

import org.codelibs.fess.Constants;
import org.codelibs.fess.util.ComponentUtil;

public class BaseSearchBody {

    public Integer size = ComponentUtil.getFessConfig().getPagingPageSizeAsInteger();

    public Integer page = Constants.DEFAULT_ADMIN_PAGE_NUMBER;

    public int getPageSize() {
        if (size != null) {
            return size;
        }
        return ComponentUtil.getFessConfig().getPagingPageSizeAsInteger();
    }

    public int getCurrentPageNumber() {
        if (page != null) {
            return page;
        }
        return Constants.DEFAULT_ADMIN_PAGE_NUMBER;
    }
}