/*
 * Copyright 2012-2024 CodeLibs Project and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.codelibs.fess.mylasta.action;

import org.lastaflute.core.message.UserMessages;

/**
 * The keys for message.
 * @author FreeGen
 */
public class FessLabels extends UserMessages {

    /** The serial version UID for object serialization. (Default) */
    private static final long serialVersionUID = 1L;

    /** The key of the message: Realm */
    public static final String LABELS_AUTH_REALM = "{labels.authRealm}";

    /** The key of the message: Status */
    public static final String LABELS_AVAILABLE = "{labels.available}";

    /** The key of the message: Created by */
    public static final String LABELS_CREATED_BY = "{labels.createdBy}";

    /** The key of the message: Created Time */
    public static final String LABELS_CREATED_TIME = "{labels.createdTime}";

    /** The key of the message: Depth */
    public static final String LABELS_DEPTH = "{labels.depth}";

    /** The key of the message: Excluded Paths For Crawling */
    public static final String LABELS_EXCLUDED_PATHS = "{labels.excludedPaths}";

    /** The key of the message: Excluded URLs For Crawling */
    public static final String LABELS_EXCLUDED_URLS = "{labels.excludedUrls}";

    /** The key of the message: Excluded Paths For Indexing */
    public static final String LABELS_EXCLUDED_DOC_PATHS = "{labels.excludedDocPaths}";

    /** The key of the message: Excluded URLs For Indexing */
    public static final String LABELS_EXCLUDED_DOC_URLS = "{labels.excludedDocUrls}";

    /** The key of the message: Hostname */
    public static final String LABELS_HOSTNAME = "{labels.hostname}";

    /** The key of the message: ID */
    public static final String LABELS_ID = "{labels.id}";

    /** The key of the message: Included Paths For Crawling */
    public static final String LABELS_INCLUDED_PATHS = "{labels.includedPaths}";

    /** The key of the message: Included URLs For Crawling */
    public static final String LABELS_INCLUDED_URLS = "{labels.includedUrls}";

    /** The key of the message: Included Paths For Indexing */
    public static final String LABELS_INCLUDED_DOC_PATHS = "{labels.includedDocPaths}";

    /** The key of the message: Included URLs For Indexing */
    public static final String LABELS_INCLUDED_DOC_URLS = "{labels.includedDocUrls}";

    /** The key of the message: Max Access Count */
    public static final String LABELS_MAX_ACCESS_COUNT = "{labels.maxAccessCount}";

    /** The key of the message: Name */
    public static final String LABELS_NAME = "{labels.name}";

    /** The key of the message: Num of Thread */
    public static final String LABELS_NUM_OF_THREAD = "{labels.numOfThread}";

    /** The key of the message: Duplicate Name */
    public static final String LABELS_DUPLICATE_HOST_NAME = "{labels.duplicateHostName}";

    /** The key of the message: Page Number */
    public static final String LABELS_PAGE_NUMBER = "{labels.pageNumber}";

    /** The key of the message: Password */
    public static final String LABELS_PASSWORD = "{labels.password}";

    /** The key of the message: Paths */
    public static final String LABELS_PATHS = "{labels.paths}";

    /** The key of the message: Port */
    public static final String LABELS_PORT = "{labels.port}";

    /** The key of the message: Regular Expression */
    public static final String LABELS_REGEX = "{labels.regex}";

    /** The key of the message: Regular Name */
    public static final String LABELS_REGULAR_NAME = "{labels.regularName}";

    /** The key of the message: Replacement */
    public static final String LABELS_REPLACEMENT = "{labels.replacement}";

    /** The key of the message: Session ID */
    public static final String LABELS_SESSION_ID = "{labels.sessionId}";

    /** The key of the message: Display Order */
    public static final String LABELS_SORT_ORDER = "{labels.sortOrder}";

    /** The key of the message: Updated by */
    public static final String LABELS_UPDATED_BY = "{labels.updatedBy}";

    /** The key of the message: Updated Time */
    public static final String LABELS_UPDATED_TIME = "{labels.updatedTime}";

    /** The key of the message: URLs */
    public static final String LABELS_URLS = "{labels.urls}";

    /** The key of the message: User Agent */
    public static final String LABELS_USER_AGENT = "{labels.userAgent}";

    /** The key of the message: Username */
    public static final String LABELS_USERNAME = "{labels.username}";

    /** The key of the message: Value */
    public static final String LABELS_VALUE = "{labels.value}";

    /** The key of the message: Version No. */
    public static final String LABELS_VERSION_NO = "{labels.versionNo}";

    /** The key of the message: Schedule */
    public static final String LABELS_CRON_EXPRESSION = "{labels.cronExpression}";

    /** The key of the message: Remove Documents Before Days */
    public static final String LABELS_DAY_FOR_CLEANUP = "{labels.dayForCleanup}";

    /** The key of the message: Simultaneous Crawler Config */
    public static final String LABELS_CRAWLING_THREAD_COUNT = "{labels.crawlingThreadCount}";

    /** The key of the message: Boost */
    public static final String LABELS_BOOST = "{labels.boost}";

    /** The key of the message: Name */
    public static final String LABELS_CRAWLING_CONFIG_NAME = "{labels.crawlingConfigName}";

    /** The key of the message: Crawling Path */
    public static final String LABELS_CRAWLING_CONFIG_PATH = "{labels.crawlingConfigPath}";

    /** The key of the message: Process Type */
    public static final String LABELS_PROCESS_TYPE = "{labels.processType}";

    /** The key of the message: Parameters */
    public static final String LABELS_PARAMETERS = "{labels.parameters}";

    /** The key of the message: Upload File */
    public static final String LABELS_DESIGN_FILE = "{labels.designFile}";

    /** The key of the message: Bulk File */
    public static final String LABELS_BULK_FILE = "{labels.bulkFile}";

    /** The key of the message: Additional Query Parameters */
    public static final String LABELS_APPEND_QUERY_PARAMETER = "{labels.appendQueryParameter}";

    /** The key of the message: Config ID */
    public static final String LABELS_CONFIG_ID = "{labels.configId}";

    /** The key of the message: Config Parameters */
    public static final String LABELS_CONFIG_PARAMETER = "{labels.configParameter}";

    /** The key of the message: Content */
    public static final String LABELS_CONTENT = "{labels.content}";

    /** The key of the message: CSV Encoding */
    public static final String LABELS_CSV_FILE_ENCODING = "{labels.csvFileEncoding}";

    /** The key of the message: Default Label */
    public static final String LABELS_DEFAULT_LABEL_VALUE = "{labels.defaultLabelValue}";

    /** The key of the message: File Name */
    public static final String LABELS_DESIGN_FILE_NAME = "{labels.designFileName}";

    /** The key of the message: Check Last Modified */
    public static final String LABELS_INCREMENTAL_CRAWLING = "{labels.incrementalCrawling}";

    /** The key of the message: Error Count */
    public static final String LABELS_ERROR_COUNT = "{labels.errorCount}";

    /** The key of the message: Error Log */
    public static final String LABELS_ERROR_LOG = "{labels.errorLog}";

    /** The key of the message: Error Name */
    public static final String LABELS_ERROR_NAME = "{labels.errorName}";

    /** The key of the message: Expired */
    public static final String LABELS_EXPIRED_TIME = "{labels.expiredTime}";

    /** The key of the message: Expired */
    public static final String LABELS_EXPIRES = "{labels.expires}";

    /** The key of the message: Failure Count */
    public static final String LABELS_FAILURE_COUNT_THRESHOLD = "{labels.failureCountThreshold}";

    /** The key of the message: File System Config Name */
    public static final String LABELS_FILE_CONFIG_NAME = "{labels.fileConfigName}";

    /** The key of the message: File name */
    public static final String LABELS_FILE_NAME = "{labels.fileName}";

    /** The key of the message: Handler Name */
    public static final String LABELS_HANDLER_NAME = "{labels.handlerName}";

    /** The key of the message: Parameters */
    public static final String LABELS_HANDLER_PARAMETER = "{labels.handlerParameter}";

    /** The key of the message: Scripts */
    public static final String LABELS_HANDLER_SCRIPT = "{labels.handlerScript}";

    /** The key of the message: Popular words */
    public static final String LABELS_POPULAR_WORD = "{labels.popularWord}";

    /** The key of the message: Ignored Failure Type */
    public static final String LABELS_IGNORE_FAILURE_TYPE = "{labels.ignoreFailureType}";

    /** The key of the message: Last Accessed */
    public static final String LABELS_LAST_ACCESS_TIME = "{labels.lastAccessTime}";

    /** The key of the message: Notification To */
    public static final String LABELS_NOTIFICATION_TO = "{labels.notificationTo}";

    /** The key of the message: Num */
    public static final String LABELS_NUM = "{labels.num}";

    /** The key of the message: Page Number */
    public static final String LABELS_PN = "{labels.pn}";

    /** The key of the message: Scheme */
    public static final String LABELS_PROTOCOL_SCHEME = "{labels.protocolScheme}";

    /** The key of the message: Purge By Bots */
    public static final String LABELS_PURGE_BY_BOTS = "{labels.purgeByBots}";

    /** The key of the message: Log Level */
    public static final String LABELS_LOG_LEVEL = "{labels.logLevel}";

    /** The key of the message: Purge Search Log */
    public static final String LABELS_PURGE_SEARCH_LOG_DAY = "{labels.purgeSearchLogDay}";

    /** The key of the message: Query */
    public static final String LABELS_QUERY = "{labels.query}";

    /** The key of the message: Query ID */
    public static final String LABELS_QUERY_ID = "{labels.queryId}";

    /** The key of the message: rt */
    public static final String LABELS_RT = "{labels.rt}";

    /** The key of the message: Search Log */
    public static final String LABELS_SEARCH_LOG = "{labels.searchLog}";

    /** The key of the message: Sort */
    public static final String LABELS_SORT = "{labels.sort}";

    /** The key of the message: Start Pos */
    public static final String LABELS_START = "{labels.start}";

    /** The key of the message: Login Required */
    public static final String LABELS_LOGIN_REQUIRED = "{labels.loginRequired}";

    /** The key of the message: Login Link */
    public static final String LABELS_LOGIN_LINK = "{labels.loginLink}";

    /** The key of the message: Thread Name */
    public static final String LABELS_THREAD_NAME = "{labels.threadName}";

    /** The key of the message: URL */
    public static final String LABELS_URL = "{labels.url}";

    /** The key of the message: Favorite Log */
    public static final String LABELS_USER_FAVORITE = "{labels.userFavorite}";

    /** The key of the message: User Info */
    public static final String LABELS_USER_INFO = "{labels.userInfo}";

    /** The key of the message: JSON Response */
    public static final String LABELS_WEB_API_JSON = "{labels.webApiJson}";

    /** The key of the message: Web Config Name */
    public static final String LABELS_WEB_CONFIG_NAME = "{labels.webConfigName}";

    /** The key of the message: All Languages */
    public static final String LABELS_ALL_LANGUAGES = "{labels.allLanguages}";

    /** The key of the message: Dictionary ID */
    public static final String LABELS_DICT_ID = "{labels.dictId}";

    /** The key of the message: Document ID */
    public static final String LABELS_DOC_ID = "{labels.docId}";

    /** The key of the message: End Time */
    public static final String LABELS_END_TIME = "{labels.endTime}";

    /** The key of the message: hq */
    public static final String LABELS_HQ = "{labels.hq}";

    /** The key of the message: Source */
    public static final String LABELS_INPUTS = "{labels.inputs}";

    /** The key of the message: Logging */
    public static final String LABELS_JOB_LOGGING = "{labels.jobLogging}";

    /** The key of the message: Name */
    public static final String LABELS_JOB_NAME = "{labels.jobName}";

    /** The key of the message: Status */
    public static final String LABELS_JOB_STATUS = "{labels.jobStatus}";

    /** The key of the message: Labels */
    public static final String LABELS_LABEL_TYPE_IDS = "{labels.labelTypeIds}";

    /** The key of the message: lang */
    public static final String LABELS_LANG = "{labels.lang}";

    /** The key of the message: Target */
    public static final String LABELS_OUTPUTS = "{labels.outputs}";

    /** The key of the message: POS */
    public static final String LABELS_POS = "{labels.pos}";

    /** The key of the message: Purge Job Log Before */
    public static final String LABELS_PURGE_JOB_LOG_DAY = "{labels.purgeJobLogDay}";

    /** The key of the message: Purge User Before */
    public static final String LABELS_PURGE_USER_INFO_DAY = "{labels.purgeUserInfoDay}";

    /** The key of the message: Reading */
    public static final String LABELS_READING = "{labels.reading}";

    /** The key of the message: Role ID */
    public static final String LABELS_ROLE_TYPE_IDS = "{labels.roleTypeIds}";

    /** The key of the message: Script */
    public static final String LABELS_SCRIPT_DATA = "{labels.scriptData}";

    /** The key of the message: Result */
    public static final String LABELS_SCRIPT_RESULT = "{labels.scriptResult}";

    /** The key of the message: Executor */
    public static final String LABELS_SCRIPT_TYPE = "{labels.scriptType}";

    /** The key of the message: Segmentation */
    public static final String LABELS_SEGMENTATION = "{labels.segmentation}";

    /** The key of the message: Start Time */
    public static final String LABELS_START_TIME = "{labels.startTime}";

    /** The key of the message: Target */
    public static final String LABELS_TARGET = "{labels.target}";

    /** The key of the message: Token */
    public static final String LABELS_TOKEN = "{labels.token}";

    /** The key of the message: Synonym File */
    public static final String LABELS_SYNONYM_FILE = "{labels.synonymFile}";

    /** The key of the message: Stopwords File */
    public static final String LABELS_STOPWORDS_FILE = "{labels.stopwordsFile}";

    /** The key of the message: Stemmer Override File */
    public static final String LABELS_STEMMER_OVERRIDE_FILE = "{labels.stemmerOverrideFile}";

    /** The key of the message: Mapping File */
    public static final String LABELS_MAPPING_FILE = "{labels.mappingFile}";

    /** The key of the message: Protwords File */
    public static final String LABELS_PROTWORDS_FILE = "{labels.protwordsFile}";

    /** The key of the message: Additional Word File */
    public static final String LABELS_ELEVATE_WORD_FILE = "{labels.elevateWordFile}";

    /** The key of the message: Bad Word File */
    public static final String LABELS_BAD_WORD_FILE = "{labels.badWordFile}";

    /** The key of the message: Condition */
    public static final String LABELS_URL_EXPR = "{labels.urlExpr}";

    /** The key of the message: Boost Expr */
    public static final String LABELS_BOOST_EXPR = "{labels.boostExpr}";

    /** The key of the message: Confirm */
    public static final String LABELS_CONFIRM_PASSWORD = "{labels.confirmPassword}";

    /** The key of the message: Crawler */
    public static final String LABELS_CRAWLER = "{labels.crawler}";

    /** The key of the message: mode */
    public static final String LABELS_CRUD_MODE = "{labels.crudMode}";

    /** The key of the message: Max Error Count */
    public static final String LABELS_ERROR_COUNT_MAX = "{labels.errorCountMax}";

    /** The key of the message: Min Error Count */
    public static final String LABELS_ERROR_COUNT_MIN = "{labels.errorCountMin}";

    /** The key of the message: Facet */
    public static final String LABELS_FACET = "{labels.facet}";

    /** The key of the message: Geo */
    public static final String LABELS_GEO = "{labels.geo}";

    /** The key of the message: Groups */
    public static final String LABELS_GROUPS = "{labels.groups}";

    /** The key of the message: Hash */
    public static final String LABELS_HASH = "{labels.hash}";

    /** The key of the message: Kuromoji File */
    public static final String LABELS_KUROMOJI_FILE = "{labels.kuromojiFile}";

    /** The key of the message: Max Size */
    public static final String LABELS_MAX_SIZE = "{labels.maxSize}";

    /** The key of the message: Order */
    public static final String LABELS_ORDER = "{labels.order}";

    /** The key of the message: Purge Suggest Documents Before */
    public static final String LABELS_PURGE_SUGGEST_SEARCH_LOG_DAY = "{labels.purgeSuggestSearchLogDay}";

    /** The key of the message: Query */
    public static final String LABELS_Q = "{labels.q}";

    /** The key of the message: Roles */
    public static final String LABELS_ROLES = "{labels.roles}";

    /** The key of the message: Suggest Search Log */
    public static final String LABELS_SUGGEST_SEARCH_LOG = "{labels.suggestSearchLog}";

    /** The key of the message: Suggest Word */
    public static final String LABELS_SUGGEST_WORD = "{labels.suggestWord}";

    /** The key of the message: Label */
    public static final String LABELS_TARGET_LABEL = "{labels.targetLabel}";

    /** The key of the message: Term */
    public static final String LABELS_TERM = "{labels.term}";

    /** The key of the message: Fields */
    public static final String LABELS_FIELDS = "{labels.fields}";

    /** The key of the message: Extended Query */
    public static final String LABELS_ex_q = "{labels.ex_q}";

    /** The key of the message: LDAP URL */
    public static final String LABELS_LDAP_PROVIDER_URL = "{labels.ldapProviderUrl}";

    /** The key of the message: User DN */
    public static final String LABELS_LDAP_SECURITY_PRINCIPAL = "{labels.ldapSecurityPrincipal}";

    /** The key of the message: Bind DN */
    public static final String LABELS_LDAP_ADMIN_SECURITY_PRINCIPAL = "{labels.ldapAdminSecurityPrincipal}";

    /** The key of the message: Password */
    public static final String LABELS_LDAP_ADMIN_SECURITY_CREDENTIALS = "{labels.ldapAdminSecurityCredentials}";

    /** The key of the message: Base DN */
    public static final String LABELS_LDAP_BASE_DN = "{labels.ldapBaseDn}";

    /** The key of the message: Account Filter */
    public static final String LABELS_LDAP_ACCOUNT_FILTER = "{labels.ldapAccountFilter}";

    /** The key of the message: Group Filter */
    public static final String LABELS_LDAP_GROUP_FILTER = "{labels.ldapGroupFilter}";

    /** The key of the message: memberOf Attribute */
    public static final String LABELS_LDAP_MEMBEROF_ATTRIBUTE = "{labels.ldapMemberofAttribute}";

    /** The key of the message: Current Password */
    public static final String LABELS_OLD_PASSWORD = "{labels.oldPassword}";

    /** The key of the message: New Password */
    public static final String LABELS_NEW_PASSWORD = "{labels.newPassword}";

    /** The key of the message: New Password(Confirm) */
    public static final String LABELS_CONFIRM_NEW_PASSWORD = "{labels.confirmNewPassword}";

    /** The key of the message: System */
    public static final String LABELS_menu_system = "{labels.menu_system}";

    /** The key of the message: Wizard */
    public static final String LABELS_menu_wizard = "{labels.menu_wizard}";

    /** The key of the message: General */
    public static final String LABELS_menu_crawl_config = "{labels.menu_crawl_config}";

    /** The key of the message: Scheduler */
    public static final String LABELS_menu_scheduler_config = "{labels.menu_scheduler_config}";

    /** The key of the message: Dashboard */
    public static final String LABELS_menu_dashboard_config = "{labels.menu_dashboard_config}";

    /** The key of the message: Page Design */
    public static final String LABELS_menu_design = "{labels.menu_design}";

    /** The key of the message: Dictionary */
    public static final String LABELS_menu_dict = "{labels.menu_dict}";

    /** The key of the message: Backup/Restore */
    public static final String LABELS_menu_data = "{labels.menu_data}";

    /** The key of the message: Crawler */
    public static final String LABELS_menu_crawl = "{labels.menu_crawl}";

    /** The key of the message: Web */
    public static final String LABELS_menu_web = "{labels.menu_web}";

    /** The key of the message: File System */
    public static final String LABELS_menu_file_system = "{labels.menu_file_system}";

    /** The key of the message: Data Store */
    public static final String LABELS_menu_data_store = "{labels.menu_data_store}";

    /** The key of the message: Label */
    public static final String LABELS_menu_label_type = "{labels.menu_label_type}";

    /** The key of the message: Key Match */
    public static final String LABELS_menu_key_match = "{labels.menu_key_match}";

    /** The key of the message: Doc Boost */
    public static final String LABELS_menu_boost_document_rule = "{labels.menu_boost_document_rule}";

    /** The key of the message: Path Mapping */
    public static final String LABELS_menu_path_mapping = "{labels.menu_path_mapping}";

    /** The key of the message: Web Authentication */
    public static final String LABELS_menu_web_authentication = "{labels.menu_web_authentication}";

    /** The key of the message: File Authentication */
    public static final String LABELS_menu_file_authentication = "{labels.menu_file_authentication}";

    /** The key of the message: Request Header */
    public static final String LABELS_menu_request_header = "{labels.menu_request_header}";

    /** The key of the message: Duplicate Host */
    public static final String LABELS_menu_duplicate_host = "{labels.menu_duplicate_host}";

    /** The key of the message: User */
    public static final String LABELS_menu_user = "{labels.menu_user}";

    /** The key of the message: Role */
    public static final String LABELS_menu_role = "{labels.menu_role}";

    /** The key of the message: Group */
    public static final String LABELS_menu_group = "{labels.menu_group}";

    /** The key of the message: Suggest */
    public static final String LABELS_menu_suggest = "{labels.menu_suggest}";

    /** The key of the message: Suggest Word */
    public static final String LABELS_menu_suggest_word = "{labels.menu_suggest_word}";

    /** The key of the message: Additional Word */
    public static final String LABELS_menu_elevate_word = "{labels.menu_elevate_word}";

    /** The key of the message: Bad Word */
    public static final String LABELS_menu_bad_word = "{labels.menu_bad_word}";

    /** The key of the message: System Info */
    public static final String LABELS_menu_system_log = "{labels.menu_system_log}";

    /** The key of the message: Config Info */
    public static final String LABELS_menu_system_info = "{labels.menu_system_info}";

    /** The key of the message: Crawling Info */
    public static final String LABELS_menu_crawling_info = "{labels.menu_crawling_info}";

    /** The key of the message: Log Files */
    public static final String LABELS_menu_log = "{labels.menu_log}";

    /** The key of the message: Job Log */
    public static final String LABELS_menu_jobLog = "{labels.menu_jobLog}";

    /** The key of the message: Search Log */
    public static final String LABELS_menu_searchLog = "{labels.menu_searchLog}";

    /** The key of the message: Failure URL */
    public static final String LABELS_menu_failure_url = "{labels.menu_failure_url}";

    /** The key of the message: Search */
    public static final String LABELS_menu_search_list = "{labels.menu_search_list}";

    /** The key of the message: Back Up */
    public static final String LABELS_menu_backup = "{labels.menu_backup}";

    /** The key of the message: Access Token */
    public static final String LABELS_menu_access_token = "{labels.menu_access_token}";

    /** The key of the message: Maintenance */
    public static final String LABELS_menu_maintenance = "{labels.menu_maintenance}";

    /** The key of the message: Related Content */
    public static final String LABELS_menu_related_content = "{labels.menu_related_content}";

    /** The key of the message: Related Query */
    public static final String LABELS_menu_related_query = "{labels.menu_related_query}";

    /** The key of the message: Plugin */
    public static final String LABELS_menu_plugin = "{labels.menu_plugin}";

    /** The key of the message: Storage */
    public static final String LABELS_menu_storage = "{labels.menu_storage}";

    /** The key of the message: Search... */
    public static final String LABELS_SIDEBAR_placeholder_search = "{labels.sidebar.placeholder_search}";

    /** The key of the message: MENU */
    public static final String LABELS_SIDEBAR_MENU = "{labels.sidebar.menu}";

    /** The key of the message: &amp;copy;2024 &lt;a href="https://github.com/codelibs"&gt;CodeLibs Project&lt;/a&gt;. */
    public static final String LABELS_FOOTER_COPYRIGHT = "{labels.footer.copyright}";

    /** The key of the message: Search */
    public static final String LABELS_SEARCH = "{labels.search}";

    /** The key of the message: Similar results are displayed. */
    public static final String LABELS_similar_doc_result_status = "{labels.similar_doc_result_status}";

    /** The key of the message: Results &lt;b&gt;{2}&lt;/b&gt;&lt;span class="hidden-phone"&gt; -&lt;/span&gt; &lt;b&gt;{3}&lt;/b&gt; of &lt;b&gt;{1}&lt;/b&gt; for &lt;b&gt;{0}&lt;/b&gt; */
    public static final String LABELS_search_result_status = "{labels.search_result_status}";

    /** The key of the message: Results &lt;b&gt;{2}&lt;/b&gt;&lt;span class="hidden-phone"&gt; -&lt;/span&gt; &lt;b&gt;{3}&lt;/b&gt; of about &lt;b&gt;{1}&lt;/b&gt; for &lt;b&gt;{0}&lt;/b&gt; */
    public static final String LABELS_search_result_status_over = "{labels.search_result_status_over}";

    /** The key of the message: ({0} sec) */
    public static final String LABELS_search_result_time = "{labels.search_result_time}";

    /** The key of the message: Prev */
    public static final String LABELS_prev_page = "{labels.prev_page}";

    /** The key of the message: Next */
    public static final String LABELS_next_page = "{labels.next_page}";

    /** The key of the message: Your search - &lt;b&gt;{0}&lt;/b&gt; - did not match any documents. */
    public static final String LABELS_did_not_match = "{labels.did_not_match}";

    /** The key of the message: Fess */
    public static final String LABELS_search_title = "{labels.search_title}";

    /** The key of the message: Popular Words: */
    public static final String LABELS_search_popular_word_word = "{labels.search_popular_word_word}";

    /** The key of the message: Related Words: */
    public static final String LABELS_search_related_queries = "{labels.search_related_queries}";

    /** The key of the message: -- Sort -- */
    public static final String LABELS_search_result_select_sort = "{labels.search_result_select_sort}";

    /** The key of the message: -- Results per page -- */
    public static final String LABELS_search_result_select_num = "{labels.search_result_select_num}";

    /** The key of the message: Score */
    public static final String LABELS_search_result_sort_score_desc = "{labels.search_result_sort_score_desc}";

    /** The key of the message: File Name (ascending) */
    public static final String LABELS_search_result_sort_filename_asc = "{labels.search_result_sort_filename_asc}";

    /** The key of the message: File Name (descending) */
    public static final String LABELS_search_result_sort_filename_desc = "{labels.search_result_sort_filename_desc}";

    /** The key of the message: Date (ascending) */
    public static final String LABELS_search_result_sort_created_asc = "{labels.search_result_sort_created_asc}";

    /** The key of the message: Date (descending) */
    public static final String LABELS_search_result_sort_created_desc = "{labels.search_result_sort_created_desc}";

    /** The key of the message: Size (ascending) */
    public static final String LABELS_search_result_sort_content_length_asc = "{labels.search_result_sort_content_length_asc}";

    /** The key of the message: Size (descending) */
    public static final String LABELS_search_result_sort_content_length_desc = "{labels.search_result_sort_content_length_desc}";

    /** The key of the message: Last Modified (ascending) */
    public static final String LABELS_search_result_sort_last_modified_asc = "{labels.search_result_sort_last_modified_asc}";

    /** The key of the message: Last Modified (descending) */
    public static final String LABELS_search_result_sort_last_modified_desc = "{labels.search_result_sort_last_modified_desc}";

    /** The key of the message: Click (ascending) */
    public static final String LABELS_search_result_sort_click_count_asc = "{labels.search_result_sort_click_count_asc}";

    /** The key of the message: Click (descending) */
    public static final String LABELS_search_result_sort_click_count_desc = "{labels.search_result_sort_click_count_desc}";

    /** The key of the message: Favorite (ascending) */
    public static final String LABELS_search_result_sort_favorite_count_asc = "{labels.search_result_sort_favorite_count_asc}";

    /** The key of the message: Favorite (descending) */
    public static final String LABELS_search_result_sort_favorite_count_desc = "{labels.search_result_sort_favorite_count_desc}";

    /** The key of the message: Multiple */
    public static final String LABELS_search_result_sort_multiple = "{labels.search_result_sort_multiple}";

    /** The key of the message: {0} bytes */
    public static final String LABELS_search_result_size = "{labels.search_result_size}";

    /** The key of the message: Registered: */
    public static final String LABELS_search_result_created = "{labels.search_result_created}";

    /** The key of the message: Last Modified: */
    public static final String LABELS_search_result_last_modified = "{labels.search_result_last_modified}";

    /** The key of the message: Like */
    public static final String LABELS_search_result_favorite = "{labels.search_result_favorite}";

    /** The key of the message: Liked */
    public static final String LABELS_search_result_favorited = "{labels.search_result_favorited}";

    /** The key of the message: Viewed ({0}) */
    public static final String LABELS_search_click_count = "{labels.search_click_count}";

    /** The key of the message: {0} views */
    public static final String LABELS_search_click_views = "{labels.search_click_views}";

    /** The key of the message: more.. */
    public static final String LABELS_search_result_more = "{labels.search_result_more}";

    /** The key of the message: Cache */
    public static final String LABELS_search_result_cache = "{labels.search_result_cache}";

    /** The key of the message: Similar Results ({0}) */
    public static final String LABELS_search_result_similar = "{labels.search_result_similar}";

    /** The key of the message: Label */
    public static final String LABELS_facet_label_title = "{labels.facet_label_title}";

    /** The key of the message: Date Range */
    public static final String LABELS_facet_timestamp_title = "{labels.facet_timestamp_title}";

    /** The key of the message: Past 24 Hours */
    public static final String LABELS_facet_timestamp_1day = "{labels.facet_timestamp_1day}";

    /** The key of the message: Past Week */
    public static final String LABELS_facet_timestamp_1week = "{labels.facet_timestamp_1week}";

    /** The key of the message: Past Month */
    public static final String LABELS_facet_timestamp_1month = "{labels.facet_timestamp_1month}";

    /** The key of the message: Past Year */
    public static final String LABELS_facet_timestamp_1year = "{labels.facet_timestamp_1year}";

    /** The key of the message: Past 3 Months */
    public static final String LABELS_facet_timestamp_3month = "{labels.facet_timestamp_3month}";

    /** The key of the message: Past 6 Months */
    public static final String LABELS_facet_timestamp_6month = "{labels.facet_timestamp_6month}";

    /** The key of the message: Past 2 Years */
    public static final String LABELS_facet_timestamp_2year = "{labels.facet_timestamp_2year}";

    /** The key of the message: Past 3 Years */
    public static final String LABELS_facet_timestamp_3year = "{labels.facet_timestamp_3year}";

    /** The key of the message: Size */
    public static final String LABELS_facet_contentLength_title = "{labels.facet_contentLength_title}";

    /** The key of the message: &amp;nbsp; - 10kb */
    public static final String LABELS_facet_contentLength_10k = "{labels.facet_contentLength_10k}";

    /** The key of the message: 10kb - 100kb */
    public static final String LABELS_facet_contentLength_10kto100k = "{labels.facet_contentLength_10kto100k}";

    /** The key of the message: 100kb - 500kb */
    public static final String LABELS_facet_contentLength_100kto500k = "{labels.facet_contentLength_100kto500k}";

    /** The key of the message: 500kb - 1mb */
    public static final String LABELS_facet_contentLength_500kto1m = "{labels.facet_contentLength_500kto1m}";

    /** The key of the message: 1mb - &amp;nbsp; */
    public static final String LABELS_facet_contentLength_1m = "{labels.facet_contentLength_1m}";

    /** The key of the message: 10kb - 50kb */
    public static final String LABELS_facet_contentLength_10kto50k = "{labels.facet_contentLength_10kto50k}";

    /** The key of the message: 50kb - 100kb */
    public static final String LABELS_facet_contentLength_50kto100k = "{labels.facet_contentLength_50kto100k}";

    /** The key of the message: 100kb - 250kb */
    public static final String LABELS_facet_contentLength_100kto250k = "{labels.facet_contentLength_100kto250k}";

    /** The key of the message: 250kb - 500kb */
    public static final String LABELS_facet_contentLength_250kto500k = "{labels.facet_contentLength_250kto500k}";

    /** The key of the message: 1mb - 5mb */
    public static final String LABELS_facet_contentLength_1mto5m = "{labels.facet_contentLength_1mto5m}";

    /** The key of the message: 5mb - &amp;nbsp; */
    public static final String LABELS_facet_contentLength_5m = "{labels.facet_contentLength_5m}";

    /** The key of the message: File Type */
    public static final String LABELS_facet_filetype_title = "{labels.facet_filetype_title}";

    /** The key of the message: HTML */
    public static final String LABELS_facet_filetype_html = "{labels.facet_filetype_html}";

    /** The key of the message: MS Word */
    public static final String LABELS_facet_filetype_word = "{labels.facet_filetype_word}";

    /** The key of the message: MS Excel */
    public static final String LABELS_facet_filetype_excel = "{labels.facet_filetype_excel}";

    /** The key of the message: MS PowerPoint */
    public static final String LABELS_facet_filetype_powerpoint = "{labels.facet_filetype_powerpoint}";

    /** The key of the message: ODF Word */
    public static final String LABELS_facet_filetype_odt = "{labels.facet_filetype_odt}";

    /** The key of the message: ODF Spreadsheet */
    public static final String LABELS_facet_filetype_ods = "{labels.facet_filetype_ods}";

    /** The key of the message: ODF Presentation */
    public static final String LABELS_facet_filetype_odp = "{labels.facet_filetype_odp}";

    /** The key of the message: PDF */
    public static final String LABELS_facet_filetype_pdf = "{labels.facet_filetype_pdf}";

    /** The key of the message: FictionBook */
    public static final String LABELS_facet_filetype_fb2 = "{labels.facet_filetype_fb2}";

    /** The key of the message: EPUB */
    public static final String LABELS_facet_filetype_epub = "{labels.facet_filetype_epub}";

    /** The key of the message: iBooks */
    public static final String LABELS_facet_filetype_ibooks = "{labels.facet_filetype_ibooks}";

    /** The key of the message: Plain Text */
    public static final String LABELS_facet_filetype_txt = "{labels.facet_filetype_txt}";

    /** The key of the message: Rich Text Format */
    public static final String LABELS_facet_filetype_rtf = "{labels.facet_filetype_rtf}";

    /** The key of the message: Compiled HTML Help */
    public static final String LABELS_facet_filetype_chm = "{labels.facet_filetype_chm}";

    /** The key of the message: ZIP Archive */
    public static final String LABELS_facet_filetype_zip = "{labels.facet_filetype_zip}";

    /** The key of the message: 7z Archive */
    public static final String LABELS_facet_filetype_7z = "{labels.facet_filetype_7z}";

    /** The key of the message: Bz Archive */
    public static final String LABELS_facet_filetype_bz = "{labels.facet_filetype_bz}";

    /** The key of the message: Bz2 Archive */
    public static final String LABELS_facet_filetype_bz2 = "{labels.facet_filetype_bz2}";

    /** The key of the message: TAR Archive */
    public static final String LABELS_facet_filetype_tar = "{labels.facet_filetype_tar}";

    /** The key of the message: RAR Archive */
    public static final String LABELS_facet_filetype_rar = "{labels.facet_filetype_rar}";

    /** The key of the message: 3gp Video */
    public static final String LABELS_facet_filetype_3gp = "{labels.facet_filetype_3gp}";

    /** The key of the message: 3g2 Video */
    public static final String LABELS_facet_filetype_3g2 = "{labels.facet_filetype_3g2}";

    /** The key of the message: AVI Video */
    public static final String LABELS_facet_filetype_avi = "{labels.facet_filetype_avi}";

    /** The key of the message: FLV Video */
    public static final String LABELS_facet_filetype_flv = "{labels.facet_filetype_flv}";

    /** The key of the message: MPEG Video */
    public static final String LABELS_facet_filetype_mpeg = "{labels.facet_filetype_mpeg}";

    /** The key of the message: MP4 Video */
    public static final String LABELS_facet_filetype_mp4 = "{labels.facet_filetype_mp4}";

    /** The key of the message: OGV Video */
    public static final String LABELS_facet_filetype_ogv = "{labels.facet_filetype_ogv}";

    /** The key of the message: QuickTime Video */
    public static final String LABELS_facet_filetype_qt = "{labels.facet_filetype_qt}";

    /** The key of the message: M4V Video */
    public static final String LABELS_facet_filetype_m4v = "{labels.facet_filetype_m4v}";

    /** The key of the message: OGG Audio */
    public static final String LABELS_facet_filetype_ogg = "{labels.facet_filetype_ogg}";

    /** The key of the message: WAV Audio */
    public static final String LABELS_facet_filetype_wav = "{labels.facet_filetype_wav}";

    /** The key of the message: WebP Audio */
    public static final String LABELS_facet_filetype_webp = "{labels.facet_filetype_webp}";

    /** The key of the message: AIF Audio */
    public static final String LABELS_facet_filetype_aif = "{labels.facet_filetype_aif}";

    /** The key of the message: MIDI Audio */
    public static final String LABELS_facet_filetype_midi = "{labels.facet_filetype_midi}";

    /** The key of the message: MPGA Audio */
    public static final String LABELS_facet_filetype_mpga = "{labels.facet_filetype_mpga}";

    /** The key of the message: MP4A Audio */
    public static final String LABELS_facet_filetype_mp4a = "{labels.facet_filetype_mp4a}";

    /** The key of the message: OGA Audio */
    public static final String LABELS_facet_filetype_oga = "{labels.facet_filetype_oga}";

    /** The key of the message: WEBP Image */
    public static final String LABELS_facet_filetype_wepb = "{labels.facet_filetype_wepb}";

    /** The key of the message: BMP Image */
    public static final String LABELS_facet_filetype_bmp = "{labels.facet_filetype_bmp}";

    /** The key of the message: ICO Image */
    public static final String LABELS_facet_filetype_ico = "{labels.facet_filetype_ico}";

    /** The key of the message: PNG Image */
    public static final String LABELS_facet_filetype_png = "{labels.facet_filetype_png}";

    /** The key of the message: SVG Image */
    public static final String LABELS_facet_filetype_svg = "{labels.facet_filetype_svg}";

    /** The key of the message: TIFF Image */
    public static final String LABELS_facet_filetype_tiff = "{labels.facet_filetype_tiff}";

    /** The key of the message: JPEG Image */
    public static final String LABELS_facet_filetype_jpg = "{labels.facet_filetype_jpg}";

    /** The key of the message: Archive */
    public static final String LABELS_facet_filetype_archive = "{labels.facet_filetype_archive}";

    /** The key of the message: Batch File */
    public static final String LABELS_facet_filetype_bat = "{labels.facet_filetype_bat}";

    /** The key of the message: C */
    public static final String LABELS_facet_filetype_c = "{labels.facet_filetype_c}";

    /** The key of the message: C++ */
    public static final String LABELS_facet_filetype_cpp = "{labels.facet_filetype_cpp}";

    /** The key of the message: C# */
    public static final String LABELS_facet_filetype_csharp = "{labels.facet_filetype_csharp}";

    /** The key of the message: CSS */
    public static final String LABELS_facet_filetype_css = "{labels.facet_filetype_css}";

    /** The key of the message: Go */
    public static final String LABELS_facet_filetype_go = "{labels.facet_filetype_go}";

    /** The key of the message: Groovy */
    public static final String LABELS_facet_filetype_groovy = "{labels.facet_filetype_groovy}";

    /** The key of the message: Haskell */
    public static final String LABELS_facet_filetype_haskell = "{labels.facet_filetype_haskell}";

    /** The key of the message: Image */
    public static final String LABELS_facet_filetype_image = "{labels.facet_filetype_image}";

    /** The key of the message: Java */
    public static final String LABELS_facet_filetype_java = "{labels.facet_filetype_java}";

    /** The key of the message: JavaScript */
    public static final String LABELS_facet_filetype_javascript = "{labels.facet_filetype_javascript}";

    /** The key of the message: Json */
    public static final String LABELS_facet_filetype_json = "{labels.facet_filetype_json}";

    /** The key of the message: OCaml */
    public static final String LABELS_facet_filetype_ocaml = "{labels.facet_filetype_ocaml}";

    /** The key of the message: Perl */
    public static final String LABELS_facet_filetype_perl = "{labels.facet_filetype_perl}";

    /** The key of the message: PHP */
    public static final String LABELS_facet_filetype_php = "{labels.facet_filetype_php}";

    /** The key of the message: Properties */
    public static final String LABELS_facet_filetype_properties = "{labels.facet_filetype_properties}";

    /** The key of the message: Python */
    public static final String LABELS_facet_filetype_python = "{labels.facet_filetype_python}";

    /** The key of the message: Ruby */
    public static final String LABELS_facet_filetype_ruby = "{labels.facet_filetype_ruby}";

    /** The key of the message: Scala */
    public static final String LABELS_facet_filetype_scala = "{labels.facet_filetype_scala}";

    /** The key of the message: Shell Script */
    public static final String LABELS_facet_filetype_shell = "{labels.facet_filetype_shell}";

    /** The key of the message: Visual Basic */
    public static final String LABELS_facet_filetype_vb = "{labels.facet_filetype_vb}";

    /** The key of the message: Others */
    public static final String LABELS_facet_filetype_others = "{labels.facet_filetype_others}";

    /** The key of the message: Reset */
    public static final String LABELS_facet_label_reset = "{labels.facet_label_reset}";

    /** The key of the message: All */
    public static final String LABELS_searchoptions_all = "{labels.searchoptions_all}";

    /** The key of the message: Score */
    public static final String LABELS_searchoptions_score = "{labels.searchoptions_score}";

    /** The key of the message: Sort */
    public static final String LABELS_searchoptions_menu_sort = "{labels.searchoptions_menu_sort}";

    /** The key of the message: Result */
    public static final String LABELS_searchoptions_menu_num = "{labels.searchoptions_menu_num}";

    /** The key of the message: {0} results */
    public static final String LABELS_searchoptions_num = "{labels.searchoptions_num}";

    /** The key of the message: Languages */
    public static final String LABELS_searchoptions_menu_lang = "{labels.searchoptions_menu_lang}";

    /** The key of the message: Labels */
    public static final String LABELS_searchoptions_menu_labels = "{labels.searchoptions_menu_labels}";

    /** The key of the message: Error */
    public static final String LABELS_error_title = "{labels.error_title}";

    /** The key of the message: System Error */
    public static final String LABELS_system_error_title = "{labels.system_error_title}";

    /** The key of the message: Contact the Site Administrator. */
    public static final String LABELS_contact_site_admin = "{labels.contact_site_admin}";

    /** The key of the message: Bad Request */
    public static final String LABELS_request_error_title = "{labels.request_error_title}";

    /** The key of the message: Invalid request for the url. */
    public static final String LABELS_bad_request = "{labels.bad_request}";

    /** The key of the message: Page Not Found */
    public static final String LABELS_page_not_found_title = "{labels.page_not_found_title}";

    /** The key of the message: Check the url. */
    public static final String LABELS_check_url = "{labels.check_url}";

    /** The key of the message: Username */
    public static final String LABELS_user_name = "{labels.user_name}";

    /** The key of the message: Login */
    public static final String LABELS_LOGIN = "{labels.login}";

    /** The key of the message: Username */
    public static final String LABELS_LOGIN_placeholder_username = "{labels.login.placeholder_username}";

    /** The key of the message: Password */
    public static final String LABELS_LOGIN_placeholder_password = "{labels.login.placeholder_password}";

    /** The key of the message: Login */
    public static final String LABELS_LOGIN_TITLE = "{labels.login.title}";

    /** The key of the message: Labels */
    public static final String LABELS_index_label = "{labels.index_label}";

    /** The key of the message: Preferred Languages */
    public static final String LABELS_index_lang = "{labels.index_lang}";

    /** The key of the message: Sort */
    public static final String LABELS_index_sort = "{labels.index_sort}";

    /** The key of the message: Results per page */
    public static final String LABELS_index_num = "{labels.index_num}";

    /** The key of the message: Logout */
    public static final String LABELS_logout_title = "{labels.logout_title}";

    /** The key of the message: Logout */
    public static final String LABELS_LOGOUT = "{labels.logout}";

    /** The key of the message: Do you want to logout? */
    public static final String LABELS_do_you_want_to_logout = "{labels.do_you_want_to_logout}";

    /** The key of the message: Logout */
    public static final String LABELS_logout_button = "{labels.logout_button}";

    /** The key of the message: Change Password */
    public static final String LABELS_PROFILE = "{labels.profile}";

    /** The key of the message: Administration */
    public static final String LABELS_ADMINISTRATION = "{labels.administration}";

    /** The key of the message: Profile */
    public static final String LABELS_profile_button = "{labels.profile_button}";

    /** The key of the message: Profile */
    public static final String LABELS_PROFILE_TITLE = "{labels.profile.title}";

    /** The key of the message: Update */
    public static final String LABELS_PROFILE_UPDATE = "{labels.profile.update}";

    /** The key of the message: Back */
    public static final String LABELS_PROFILE_BACK = "{labels.profile.back}";

    /** The key of the message: Current Password */
    public static final String LABELS_PROFILE_placeholder_old_password = "{labels.profile.placeholder_old_password}";

    /** The key of the message: New Password */
    public static final String LABELS_PROFILE_placeholder_new_password = "{labels.profile.placeholder_new_password}";

    /** The key of the message: Confirm New Password */
    public static final String LABELS_PROFILE_placeholder_confirm_new_password = "{labels.profile.placeholder_confirm_new_password}";

    /** The key of the message: Search */
    public static final String LABELS_TOP_SEARCH = "{labels.top.search}";

    /** The key of the message: Fess */
    public static final String LABELS_index_title = "{labels.index_title}";

    /** The key of the message: Search */
    public static final String LABELS_index_form_search_btn = "{labels.index_form_search_btn}";

    /** The key of the message: Search */
    public static final String LABELS_index_osdd_title = "{labels.index_osdd_title}";

    /** The key of the message: Options */
    public static final String LABELS_index_form_option_btn = "{labels.index_form_option_btn}";

    /** The key of the message: Help */
    public static final String LABELS_index_help = "{labels.index_help}";

    /** The key of the message: Search Options */
    public static final String LABELS_search_options = "{labels.search_options}";

    /** The key of the message: Close */
    public static final String LABELS_search_options_close = "{labels.search_options_close}";

    /** The key of the message: Clear */
    public static final String LABELS_search_options_clear = "{labels.search_options_clear}";

    /** The key of the message: This is a cache of {0}. It is a snapshot of the page at {1}. */
    public static final String LABELS_search_cache_msg = "{labels.search_cache_msg}";

    /** The key of the message: Unknown */
    public static final String LABELS_search_unknown = "{labels.search_unknown}";

    /** The key of the message: Back to top */
    public static final String LABELS_footer_back_to_top = "{labels.footer_back_to_top}";

    /** The key of the message: Fess */
    public static final String LABELS_header_brand_name = "{labels.header_brand_name}";

    /** The key of the message: Options */
    public static final String LABELS_header_form_option_btn = "{labels.header_form_option_btn}";

    /** The key of the message: File Crawling */
    public static final String LABELS_file_crawling_configuration = "{labels.file_crawling_configuration}";

    /** The key of the message: File Crawling Configuration */
    public static final String LABELS_file_crawling_title_details = "{labels.file_crawling_title_details}";

    /** The key of the message: Included Paths For Crawling */
    public static final String LABELS_included_paths = "{labels.included_paths}";

    /** The key of the message: Excluded Paths For Crawling */
    public static final String LABELS_excluded_paths = "{labels.excluded_paths}";

    /** The key of the message: Included Paths For Indexing */
    public static final String LABELS_included_doc_paths = "{labels.included_doc_paths}";

    /** The key of the message: Excluded Paths For Indexing */
    public static final String LABELS_excluded_doc_paths = "{labels.excluded_doc_paths}";

    /** The key of the message: Config Parameters */
    public static final String LABELS_config_parameter = "{labels.config_parameter}";

    /** The key of the message: Max Access Count */
    public static final String LABELS_max_access_count = "{labels.max_access_count}";

    /** The key of the message: The number of Thread */
    public static final String LABELS_number_of_thread = "{labels.number_of_thread}";

    /** The key of the message: Interval time */
    public static final String LABELS_interval_time = "{labels.interval_time}";

    /** The key of the message: ms */
    public static final String LABELS_MILLISEC = "{labels.millisec}";

    /** The key of the message: Permissions */
    public static final String LABELS_PERMISSIONS = "{labels.permissions}";

    /** The key of the message: Virtual Hosts */
    public static final String LABELS_virtual_hosts = "{labels.virtual_hosts}";

    /** The key of the message: Virtual Host */
    public static final String LABELS_virtual_host = "{labels.virtual_host}";

    /** The key of the message: Label */
    public static final String LABELS_label_type = "{labels.label_type}";

    /** The key of the message: Create */
    public static final String LABELS_file_crawling_button_create = "{labels.file_crawling_button_create}";

    /** The key of the message: Create new job */
    public static final String LABELS_file_crawling_button_create_job = "{labels.file_crawling_button_create_job}";

    /** The key of the message: Web Crawling */
    public static final String LABELS_web_crawling_configuration = "{labels.web_crawling_configuration}";

    /** The key of the message: Web Crawling Configuration */
    public static final String LABELS_web_crawling_title_details = "{labels.web_crawling_title_details}";

    /** The key of the message: Included URLs For Crawling */
    public static final String LABELS_included_urls = "{labels.included_urls}";

    /** The key of the message: Excluded URLs For Crawling */
    public static final String LABELS_excluded_urls = "{labels.excluded_urls}";

    /** The key of the message: Included URLs For Indexing */
    public static final String LABELS_included_doc_urls = "{labels.included_doc_urls}";

    /** The key of the message: Excluded URLs For Indexing */
    public static final String LABELS_excluded_doc_urls = "{labels.excluded_doc_urls}";

    /** The key of the message: User Agent */
    public static final String LABELS_user_agent = "{labels.user_agent}";

    /** The key of the message: Create */
    public static final String LABELS_web_crawling_button_create = "{labels.web_crawling_button_create}";

    /** The key of the message: Create new job */
    public static final String LABELS_web_crawling_button_create_job = "{labels.web_crawling_button_create_job}";

    /** The key of the message: General Configuration */
    public static final String LABELS_crawler_configuration = "{labels.crawler_configuration}";

    /** The key of the message: General Configuration */
    public static final String LABELS_crawler_title_edit = "{labels.crawler_title_edit}";

    /** The key of the message: Schedule */
    public static final String LABELS_SCHEDULE = "{labels.schedule}";

    /** The key of the message: Enabled */
    public static final String LABELS_ENABLED = "{labels.enabled}";

    /** The key of the message: Remove Documents Before */
    public static final String LABELS_day_for_cleanup = "{labels.day_for_cleanup}";

    /** The key of the message: Day(s) */
    public static final String LABELS_DAY = "{labels.day}";

    /** The key of the message: Update */
    public static final String LABELS_crawl_button_update = "{labels.crawl_button_update}";

    /** The key of the message: None */
    public static final String LABELS_NONE = "{labels.none}";

    /** The key of the message: Simultaneous Crawler Config */
    public static final String LABELS_crawling_thread_count = "{labels.crawling_thread_count}";

    /** The key of the message: Check Last Modified */
    public static final String LABELS_incremental_crawling = "{labels.incremental_crawling}";

    /** The key of the message: Search Logging */
    public static final String LABELS_search_log_enabled = "{labels.search_log_enabled}";

    /** The key of the message: User Logging */
    public static final String LABELS_user_info_enabled = "{labels.user_info_enabled}";

    /** The key of the message: Favorite Logging */
    public static final String LABELS_user_favorite_enabled = "{labels.user_favorite_enabled}";

    /** The key of the message: JSON Response */
    public static final String LABELS_web_api_json_enabled = "{labels.web_api_json_enabled}";

    /** The key of the message: System Properties */
    public static final String LABELS_app_value = "{labels.app_value}";

    /** The key of the message: Default Label Value */
    public static final String LABELS_default_label_value = "{labels.default_label_value}";

    /** The key of the message: Default Sort Value */
    public static final String LABELS_default_sort_value = "{labels.default_sort_value}";

    /** The key of the message: Virtual Hosts */
    public static final String LABELS_virtual_host_value = "{labels.virtual_host_value}";

    /** The key of the message: Append Params to URL */
    public static final String LABELS_append_query_param_enabled = "{labels.append_query_param_enabled}";

    /** The key of the message: Login Required */
    public static final String LABELS_login_required = "{labels.login_required}";

    /** The key of the message: Similar Result Collapsed */
    public static final String LABELS_result_collapsed = "{labels.result_collapsed}";

    /** The key of the message: Login Link */
    public static final String LABELS_login_link = "{labels.login_link}";

    /** The key of the message: Thumbnail View */
    public static final String LABELS_THUMBNAIL = "{labels.thumbnail}";

    /** The key of the message: Excluded Failure Type */
    public static final String LABELS_ignore_failure_type = "{labels.ignore_failure_type}";

    /** The key of the message: Failure Count Threshold */
    public static final String LABELS_failure_count_threshold = "{labels.failure_count_threshold}";

    /** The key of the message: Popular Word Response */
    public static final String LABELS_popular_word_word_enabled = "{labels.popular_word_word_enabled}";

    /** The key of the message: Web */
    public static final String LABELS_supported_search_web = "{labels.supported_search_web}";

    /** The key of the message: Not Available */
    public static final String LABELS_supported_search_none = "{labels.supported_search_none}";

    /** The key of the message: Purge Search Log Before */
    public static final String LABELS_purge_search_log_day = "{labels.purge_search_log_day}";

    /** The key of the message: Purge Job Log Before */
    public static final String LABELS_purge_job_log_day = "{labels.purge_job_log_day}";

    /** The key of the message: Purge User Before */
    public static final String LABELS_purge_user_info_day = "{labels.purge_user_info_day}";

    /** The key of the message: Bots Name For Purge */
    public static final String LABELS_purge_by_bots = "{labels.purge_by_bots}";

    /** The key of the message: Log Level */
    public static final String LABELS_log_level = "{labels.log_level}";

    /** The key of the message: Encoding for CSV */
    public static final String LABELS_csv_file_encoding = "{labels.csv_file_encoding}";

    /** The key of the message: Notification Email */
    public static final String LABELS_notification_to = "{labels.notification_to}";

    /** The key of the message: Path Mapping */
    public static final String LABELS_pathmap_configuration = "{labels.pathmap_configuration}";

    /** The key of the message: Path Mapping */
    public static final String LABELS_pathmap_title_details = "{labels.pathmap_title_details}";

    /** The key of the message: Disabled */
    public static final String LABELS_DISABLED = "{labels.disabled}";

    /** The key of the message: Crawling */
    public static final String LABELS_pathmap_pt_crawling = "{labels.pathmap_pt_crawling}";

    /** The key of the message: Displaying */
    public static final String LABELS_pathmap_pt_displaying = "{labels.pathmap_pt_displaying}";

    /** The key of the message: Crawling/Displaying */
    public static final String LABELS_pathmap_pt_both = "{labels.pathmap_pt_both}";

    /** The key of the message: Stored URLs */
    public static final String LABELS_pathmap_pt_stored = "{labels.pathmap_pt_stored}";

    /** The key of the message: Regular Name */
    public static final String LABELS_regular_name = "{labels.regular_name}";

    /** The key of the message: Duplicate Name */
    public static final String LABELS_duplicate_name = "{labels.duplicate_name}";

    /** The key of the message: Duplicate Host */
    public static final String LABELS_duplicate_host_configuration = "{labels.duplicate_host_configuration}";

    /** The key of the message: Duplicate Host */
    public static final String LABELS_duplicate_host_title_details = "{labels.duplicate_host_title_details}";

    /** The key of the message: System Configuration */
    public static final String LABELS_dashboard_title_configuration = "{labels.dashboard_title_configuration}";

    /** The key of the message: Suggest from Search Words */
    public static final String LABELS_suggest_search_log_enabled = "{labels.suggest_search_log_enabled}";

    /** The key of the message: Suggest from Documents */
    public static final String LABELS_suggest_documents_enabled = "{labels.suggest_documents_enabled}";

    /** The key of the message: Purge Suggest Documents Before */
    public static final String LABELS_purge_suggest_search_log_day = "{labels.purge_suggest_search_log_day}";

    /** The key of the message: Crawling Information */
    public static final String LABELS_crawling_info_title = "{labels.crawling_info_title}";

    /** The key of the message: Crawling Information */
    public static final String LABELS_crawling_info_title_confirm = "{labels.crawling_info_title_confirm}";

    /** The key of the message: Back */
    public static final String LABELS_crawling_info_button_back = "{labels.crawling_info_button_back}";

    /** The key of the message: Delete */
    public static final String LABELS_crawling_info_button_delete = "{labels.crawling_info_button_delete}";

    /** The key of the message: Crawling Info */
    public static final String LABELS_crawling_info_configuration = "{labels.crawling_info_configuration}";

    /** The key of the message: Search */
    public static final String LABELS_crawling_info_search = "{labels.crawling_info_search}";

    /** The key of the message: Reset */
    public static final String LABELS_crawling_info_reset = "{labels.crawling_info_reset}";

    /** The key of the message: Crawling Information */
    public static final String LABELS_crawling_info_link_top = "{labels.crawling_info_link_top}";

    /** The key of the message: Details */
    public static final String LABELS_crawling_info_link_details = "{labels.crawling_info_link_details}";

    /** The key of the message: Session ID */
    public static final String LABELS_crawling_info_session_id_search = "{labels.crawling_info_session_id_search}";

    /** The key of the message: Session ID */
    public static final String LABELS_crawling_info_session_id = "{labels.crawling_info_session_id}";

    /** The key of the message: Created */
    public static final String LABELS_crawling_info_created_time = "{labels.crawling_info_created_time}";

    /** The key of the message: Delete All */
    public static final String LABELS_crawling_info_delete_all_link = "{labels.crawling_info_delete_all_link}";

    /** The key of the message: Do you really want to delete all? */
    public static final String LABELS_crawling_info_delete_all_confirmation = "{labels.crawling_info_delete_all_confirmation}";

    /** The key of the message: Cancel */
    public static final String LABELS_crawling_info_delete_all_cancel = "{labels.crawling_info_delete_all_cancel}";

    /** The key of the message: Thread Dump */
    public static final String LABELS_crawling_info_thread_dump = "{labels.crawling_info_thread_dump}";

    /** The key of the message: Crawler start time */
    public static final String LABELS_crawling_info_CrawlerStartTime = "{labels.crawling_info_CrawlerStartTime}";

    /** The key of the message: Crawler end time */
    public static final String LABELS_crawling_info_CrawlerEndTime = "{labels.crawling_info_CrawlerEndTime}";

    /** The key of the message: Crawler exec time */
    public static final String LABELS_crawling_info_CrawlerExecTime = "{labels.crawling_info_CrawlerExecTime}";

    /** The key of the message: Crawler status */
    public static final String LABELS_crawling_info_CrawlerStatus = "{labels.crawling_info_CrawlerStatus}";

    /** The key of the message: Crawl exec time (Web/File system) */
    public static final String LABELS_crawling_info_WebFsCrawlExecTime = "{labels.crawling_info_WebFsCrawlExecTime}";

    /** The key of the message: Crawl start time (Web/File system) */
    public static final String LABELS_crawling_info_WebFsCrawlStartTime = "{labels.crawling_info_WebFsCrawlStartTime}";

    /** The key of the message: Crawl end time (Web/File system) */
    public static final String LABELS_crawling_info_WebFsCrawlEndTime = "{labels.crawling_info_WebFsCrawlEndTime}";

    /** The key of the message: Indexing exec time (Web/File system) */
    public static final String LABELS_crawling_info_WebFsIndexExecTime = "{labels.crawling_info_WebFsIndexExecTime}";

    /** The key of the message: Index size (Web/File system) */
    public static final String LABELS_crawling_info_WebFsIndexSize = "{labels.crawling_info_WebFsIndexSize}";

    /** The key of the message: Crawl exec time (Data store) */
    public static final String LABELS_crawling_info_DataCrawlExecTime = "{labels.crawling_info_DataCrawlExecTime}";

    /** The key of the message: Crawl start time (Data store) */
    public static final String LABELS_crawling_info_DataCrawlStartTime = "{labels.crawling_info_DataCrawlStartTime}";

    /** The key of the message: Crawl end time (Data store) */
    public static final String LABELS_crawling_info_DataCrawlEndTime = "{labels.crawling_info_DataCrawlEndTime}";

    /** The key of the message: Indexing exec time (Data store) */
    public static final String LABELS_crawling_info_DataIndexExecTime = "{labels.crawling_info_DataIndexExecTime}";

    /** The key of the message: Index size (Data store) */
    public static final String LABELS_crawling_info_DataIndexSize = "{labels.crawling_info_DataIndexSize}";

    /** The key of the message: Web Authentication */
    public static final String LABELS_webauth_configuration = "{labels.webauth_configuration}";

    /** The key of the message: Hostname */
    public static final String LABELS_webauth_list_hostname = "{labels.webauth_list_hostname}";

    /** The key of the message: Config Name */
    public static final String LABELS_webauth_list_web_crawling_config = "{labels.webauth_list_web_crawling_config}";

    /** The key of the message: Any */
    public static final String LABELS_webauth_any = "{labels.webauth_any}";

    /** The key of the message: Create New Web Config */
    public static final String LABELS_webauth_create_web_config = "{labels.webauth_create_web_config}";

    /** The key of the message: Web Authentication */
    public static final String LABELS_webauth_title_details = "{labels.webauth_title_details}";

    /** The key of the message: Hostname */
    public static final String LABELS_webauth_hostname = "{labels.webauth_hostname}";

    /** The key of the message: Port */
    public static final String LABELS_webauth_port = "{labels.webauth_port}";

    /** The key of the message: Realm */
    public static final String LABELS_webauth_realm = "{labels.webauth_realm}";

    /** The key of the message: Scheme */
    public static final String LABELS_webauth_scheme = "{labels.webauth_scheme}";

    /** The key of the message: Username */
    public static final String LABELS_webauth_username = "{labels.webauth_username}";

    /** The key of the message: Password */
    public static final String LABELS_webauth_password = "{labels.webauth_password}";

    /** The key of the message: Parameters */
    public static final String LABELS_webauth_parameters = "{labels.webauth_parameters}";

    /** The key of the message: Web Config */
    public static final String LABELS_webauth_web_crawling_config = "{labels.webauth_web_crawling_config}";

    /** The key of the message: Basic */
    public static final String LABELS_webauth_scheme_basic = "{labels.webauth_scheme_basic}";

    /** The key of the message: Digest */
    public static final String LABELS_webauth_scheme_digest = "{labels.webauth_scheme_digest}";

    /** The key of the message: NTLM */
    public static final String LABELS_webauth_scheme_ntlm = "{labels.webauth_scheme_ntlm}";

    /** The key of the message: Form */
    public static final String LABELS_webauth_scheme_form = "{labels.webauth_scheme_form}";

    /** The key of the message: Log Files */
    public static final String LABELS_log_configuration = "{labels.log_configuration}";

    /** The key of the message: File Name */
    public static final String LABELS_log_file_name = "{labels.log_file_name}";

    /** The key of the message: Timestamp */
    public static final String LABELS_log_file_date = "{labels.log_file_date}";

    /** The key of the message: Label */
    public static final String LABELS_labeltype_configuration = "{labels.labeltype_configuration}";

    /** The key of the message: Label */
    public static final String LABELS_labeltype_title_details = "{labels.labeltype_title_details}";

    /** The key of the message: Name */
    public static final String LABELS_labeltype_name = "{labels.labeltype_name}";

    /** The key of the message: Value */
    public static final String LABELS_labeltype_value = "{labels.labeltype_value}";

    /** The key of the message: Included Paths */
    public static final String LABELS_labeltype_included_paths = "{labels.labeltype_included_paths}";

    /** The key of the message: Excluded Paths */
    public static final String LABELS_labeltype_excluded_paths = "{labels.labeltype_excluded_paths}";

    /** The key of the message: Role */
    public static final String LABELS_roletype_configuration = "{labels.roletype_configuration}";

    /** The key of the message: Role */
    public static final String LABELS_roletype_title_details = "{labels.roletype_title_details}";

    /** The key of the message: Name */
    public static final String LABELS_roletype_name = "{labels.roletype_name}";

    /** The key of the message: Value */
    public static final String LABELS_roletype_value = "{labels.roletype_value}";

    /** The key of the message: Request Header */
    public static final String LABELS_reqheader_configuration = "{labels.reqheader_configuration}";

    /** The key of the message: Name */
    public static final String LABELS_reqheader_list_name = "{labels.reqheader_list_name}";

    /** The key of the message: Config Name */
    public static final String LABELS_reqheader_list_web_crawling_config = "{labels.reqheader_list_web_crawling_config}";

    /** The key of the message: Create New Web Config */
    public static final String LABELS_reqheader_create_web_config = "{labels.reqheader_create_web_config}";

    /** The key of the message: Request Header */
    public static final String LABELS_reqheader_title_details = "{labels.reqheader_title_details}";

    /** The key of the message: Name */
    public static final String LABELS_reqheader_name = "{labels.reqheader_name}";

    /** The key of the message: Value */
    public static final String LABELS_reqheader_value = "{labels.reqheader_value}";

    /** The key of the message: Web Config */
    public static final String LABELS_reqheader_web_crawling_config = "{labels.reqheader_web_crawling_config}";

    /** The key of the message: Key Match */
    public static final String LABELS_key_match_configuration = "{labels.key_match_configuration}";

    /** The key of the message: Term */
    public static final String LABELS_key_match_list_term = "{labels.key_match_list_term}";

    /** The key of the message: Query */
    public static final String LABELS_key_match_list_query = "{labels.key_match_list_query}";

    /** The key of the message: Term */
    public static final String LABELS_key_match_term = "{labels.key_match_term}";

    /** The key of the message: Query */
    public static final String LABELS_key_match_query = "{labels.key_match_query}";

    /** The key of the message: Size */
    public static final String LABELS_key_match_size = "{labels.key_match_size}";

    /** The key of the message: Boost */
    public static final String LABELS_key_match_boost = "{labels.key_match_boost}";

    /** The key of the message: Urls */
    public static final String LABELS_key_match_urls = "{labels.key_match_urls}";

    /** The key of the message: Key Match */
    public static final String LABELS_key_match_title_details = "{labels.key_match_title_details}";

    /** The key of the message: Page Design */
    public static final String LABELS_design_configuration = "{labels.design_configuration}";

    /** The key of the message: File Upload */
    public static final String LABELS_design_title_file_upload = "{labels.design_title_file_upload}";

    /** The key of the message: File Manager */
    public static final String LABELS_design_title_file = "{labels.design_title_file}";

    /** The key of the message: Upload File */
    public static final String LABELS_design_file = "{labels.design_file}";

    /** The key of the message: File Name (Optional) */
    public static final String LABELS_design_file_name = "{labels.design_file_name}";

    /** The key of the message: Upload */
    public static final String LABELS_design_button_upload = "{labels.design_button_upload}";

    /** The key of the message: JSP Files */
    public static final String LABELS_design_file_title_edit = "{labels.design_file_title_edit}";

    /** The key of the message: Edit */
    public static final String LABELS_design_edit_button = "{labels.design_edit_button}";

    /** The key of the message: Download */
    public static final String LABELS_design_download_button = "{labels.design_download_button}";

    /** The key of the message: Delete */
    public static final String LABELS_design_delete_button = "{labels.design_delete_button}";

    /** The key of the message: Use Default */
    public static final String LABELS_design_use_default_button = "{labels.design_use_default_button}";

    /** The key of the message: Edit JSP File */
    public static final String LABELS_design_title_edit_content = "{labels.design_title_edit_content}";

    /** The key of the message: Update */
    public static final String LABELS_design_button_update = "{labels.design_button_update}";

    /** The key of the message: Back */
    public static final String LABELS_design_button_back = "{labels.design_button_back}";

    /** The key of the message: Data Store Crawling */
    public static final String LABELS_data_crawling_configuration = "{labels.data_crawling_configuration}";

    /** The key of the message: Data Store Crawling Configuration */
    public static final String LABELS_data_crawling_title_details = "{labels.data_crawling_title_details}";

    /** The key of the message: Handler Name */
    public static final String LABELS_handler_name = "{labels.handler_name}";

    /** The key of the message: Parameter */
    public static final String LABELS_handler_parameter = "{labels.handler_parameter}";

    /** The key of the message: Script */
    public static final String LABELS_handler_script = "{labels.handler_script}";

    /** The key of the message: Create */
    public static final String LABELS_data_crawling_button_create = "{labels.data_crawling_button_create}";

    /** The key of the message: Create new job */
    public static final String LABELS_data_crawling_button_create_job = "{labels.data_crawling_button_create_job}";

    /** The key of the message: Configuration Wizard */
    public static final String LABELS_wizard_title_configuration = "{labels.wizard_title_configuration}";

    /** The key of the message: Quick Setup */
    public static final String LABELS_wizard_start_title = "{labels.wizard_start_title}";

    /** The key of the message: Using Configuration Wizard, you can create crawling settings easily. */
    public static final String LABELS_wizard_start_desc = "{labels.wizard_start_desc}";

    /** The key of the message: Start Configuration */
    public static final String LABELS_wizard_start_button = "{labels.wizard_start_button}";

    /** The key of the message: Cancel */
    public static final String LABELS_wizard_button_cancel = "{labels.wizard_button_cancel}";

    /** The key of the message: Crawling Configuration */
    public static final String LABELS_wizard_crawling_config_title = "{labels.wizard_crawling_config_title}";

    /** The key of the message: Crawling Settings */
    public static final String LABELS_wizard_crawling_setting_title = "{labels.wizard_crawling_setting_title}";

    /** The key of the message: Name */
    public static final String LABELS_wizard_crawling_config_name = "{labels.wizard_crawling_config_name}";

    /** The key of the message: Crawling Path */
    public static final String LABELS_wizard_crawling_config_path = "{labels.wizard_crawling_config_path}";

    /** The key of the message: Create again */
    public static final String LABELS_wizard_button_register_again = "{labels.wizard_button_register_again}";

    /** The key of the message: Create and Next */
    public static final String LABELS_wizard_button_register_next = "{labels.wizard_button_register_next}";

    /** The key of the message: Start Crawling */
    public static final String LABELS_wizard_start_crawling_title = "{labels.wizard_start_crawling_title}";

    /** The key of the message: Crawler */
    public static final String LABELS_wizard_start_crawler_title = "{labels.wizard_start_crawler_title}";

    /** The key of the message: To click "Start Crawling" button, you can start a crawling now. */
    public static final String LABELS_wizard_start_crawling_desc = "{labels.wizard_start_crawling_desc}";

    /** The key of the message: Start Crawling */
    public static final String LABELS_wizard_button_start_crawling = "{labels.wizard_button_start_crawling}";

    /** The key of the message: Skip */
    public static final String LABELS_wizard_button_finish = "{labels.wizard_button_finish}";

    /** The key of the message: Search */
    public static final String LABELS_search_list_configuration = "{labels.search_list_configuration}";

    /** The key of the message: Delete */
    public static final String LABELS_search_list_button_delete = "{labels.search_list_button_delete}";

    /** The key of the message: Do you really want to delete? */
    public static final String LABELS_search_list_delete_confirmation = "{labels.search_list_delete_confirmation}";

    /** The key of the message: Delete all with this query */
    public static final String LABELS_search_list_button_delete_all = "{labels.search_list_button_delete_all}";

    /** The key of the message: Do you really want to delete all with this query? */
    public static final String LABELS_search_list_delete_all_confirmation = "{labels.search_list_delete_all_confirmation}";

    /** The key of the message: Cancel */
    public static final String LABELS_search_list_button_cancel = "{labels.search_list_button_cancel}";

    /** The key of the message: Failure URL */
    public static final String LABELS_failure_url_configuration = "{labels.failure_url_configuration}";

    /** The key of the message: URL */
    public static final String LABELS_failure_url_search_url = "{labels.failure_url_search_url}";

    /** The key of the message: Error Count */
    public static final String LABELS_failure_url_search_error_count = "{labels.failure_url_search_error_count}";

    /** The key of the message: Type */
    public static final String LABELS_failure_url_search_error_name = "{labels.failure_url_search_error_name}";

    /** The key of the message: URL */
    public static final String LABELS_failure_url_url = "{labels.failure_url_url}";

    /** The key of the message: Last Access */
    public static final String LABELS_failure_url_last_access_time = "{labels.failure_url_last_access_time}";

    /** The key of the message: List */
    public static final String LABELS_failure_url_link_list = "{labels.failure_url_link_list}";

    /** The key of the message: Details */
    public static final String LABELS_failure_url_link_details = "{labels.failure_url_link_details}";

    /** The key of the message: Delete */
    public static final String LABELS_failure_url_link_delete = "{labels.failure_url_link_delete}";

    /** The key of the message: Delete All */
    public static final String LABELS_failure_url_delete_all_link = "{labels.failure_url_delete_all_link}";

    /** The key of the message: Do you really want to delete all? */
    public static final String LABELS_failure_url_delete_all_confirmation = "{labels.failure_url_delete_all_confirmation}";

    /** The key of the message: Cancel */
    public static final String LABELS_failure_url_delete_all_cancel = "{labels.failure_url_delete_all_cancel}";

    /** The key of the message: Error Count */
    public static final String LABELS_failure_url_error_count = "{labels.failure_url_error_count}";

    /** The key of the message: Failure URL Details */
    public static final String LABELS_failure_url_title_details = "{labels.failure_url_title_details}";

    /** The key of the message: ID */
    public static final String LABELS_failure_url_id = "{labels.failure_url_id}";

    /** The key of the message: Thread Name */
    public static final String LABELS_failure_url_thread_name = "{labels.failure_url_thread_name}";

    /** The key of the message: Type */
    public static final String LABELS_failure_url_error_name = "{labels.failure_url_error_name}";

    /** The key of the message: Log */
    public static final String LABELS_failure_url_error_log = "{labels.failure_url_error_log}";

    /** The key of the message: Web Crawling Configuration */
    public static final String LABELS_failure_url_web_config_name = "{labels.failure_url_web_config_name}";

    /** The key of the message: File Crawling Configuration */
    public static final String LABELS_failure_url_file_config_name = "{labels.failure_url_file_config_name}";

    /** The key of the message: System Info */
    public static final String LABELS_system_info_configuration = "{labels.system_info_configuration}";

    /** The key of the message: Env Properties */
    public static final String LABELS_system_info_env_title = "{labels.system_info_env_title}";

    /** The key of the message: System Properties */
    public static final String LABELS_system_info_prop_title = "{labels.system_info_prop_title}";

    /** The key of the message: Fess Properties */
    public static final String LABELS_system_info_fess_prop_title = "{labels.system_info_fess_prop_title}";

    /** The key of the message: Properties for Bug Report */
    public static final String LABELS_system_info_bug_report_title = "{labels.system_info_bug_report_title}";

    /** The key of the message: system.properties does not exist. Default values are applied. */
    public static final String LABELS_system_info_system_properties_does_not_exist =
            "{labels.system_info_system_properties_does_not_exist}";

    /** The key of the message: File Authentication */
    public static final String LABELS_file_auth_configuration = "{labels.file_auth_configuration}";

    /** The key of the message: Hostname */
    public static final String LABELS_file_auth_list_hostname = "{labels.file_auth_list_hostname}";

    /** The key of the message: Config Name */
    public static final String LABELS_file_auth_list_file_crawling_config = "{labels.file_auth_list_file_crawling_config}";

    /** The key of the message: Any */
    public static final String LABELS_file_auth_any = "{labels.file_auth_any}";

    /** The key of the message: Create New File Config */
    public static final String LABELS_file_auth_create_file_config = "{labels.file_auth_create_file_config}";

    /** The key of the message: File Authentication */
    public static final String LABELS_file_auth_title_details = "{labels.file_auth_title_details}";

    /** The key of the message: Hostname */
    public static final String LABELS_file_auth_hostname = "{labels.file_auth_hostname}";

    /** The key of the message: Port */
    public static final String LABELS_file_auth_port = "{labels.file_auth_port}";

    /** The key of the message: Scheme */
    public static final String LABELS_file_auth_scheme = "{labels.file_auth_scheme}";

    /** The key of the message: Username */
    public static final String LABELS_file_auth_username = "{labels.file_auth_username}";

    /** The key of the message: Password */
    public static final String LABELS_file_auth_password = "{labels.file_auth_password}";

    /** The key of the message: Parameters */
    public static final String LABELS_file_auth_parameters = "{labels.file_auth_parameters}";

    /** The key of the message: File System Config */
    public static final String LABELS_file_auth_file_crawling_config = "{labels.file_auth_file_crawling_config}";

    /** The key of the message: Samba */
    public static final String LABELS_file_auth_scheme_samba = "{labels.file_auth_scheme_samba}";

    /** The key of the message: FTP */
    public static final String LABELS_file_auth_scheme_ftp = "{labels.file_auth_scheme_ftp}";

    /** The key of the message: {0}/{1} ({2} items) */
    public static final String LABELS_pagination_page_guide_msg = "{labels.pagination_page_guide_msg}";

    /** The key of the message: No data. */
    public static final String LABELS_list_could_not_find_crud_table = "{labels.list_could_not_find_crud_table}";

    /** The key of the message: Job Scheduler */
    public static final String LABELS_scheduledjob_configuration = "{labels.scheduledjob_configuration}";

    /** The key of the message: Jobs */
    public static final String LABELS_scheduledjob_title_details = "{labels.scheduledjob_title_details}";

    /** The key of the message: Name */
    public static final String LABELS_scheduledjob_name = "{labels.scheduledjob_name}";

    /** The key of the message: Target */
    public static final String LABELS_scheduledjob_target = "{labels.scheduledjob_target}";

    /** The key of the message: Status */
    public static final String LABELS_scheduledjob_status = "{labels.scheduledjob_status}";

    /** The key of the message: Schedule */
    public static final String LABELS_scheduledjob_cronExpression = "{labels.scheduledjob_cronExpression}";

    /** The key of the message: Executor */
    public static final String LABELS_scheduledjob_scriptType = "{labels.scheduledjob_scriptType}";

    /** The key of the message: Script */
    public static final String LABELS_scheduledjob_scriptData = "{labels.scheduledjob_scriptData}";

    /** The key of the message: Logging */
    public static final String LABELS_scheduledjob_jobLogging = "{labels.scheduledjob_jobLogging}";

    /** The key of the message: Crawler Job */
    public static final String LABELS_scheduledjob_crawler = "{labels.scheduledjob_crawler}";

    /** The key of the message: Running */
    public static final String LABELS_scheduledjob_running = "{labels.scheduledjob_running}";

    /** The key of the message: Active */
    public static final String LABELS_scheduledjob_active = "{labels.scheduledjob_active}";

    /** The key of the message: Inactive */
    public static final String LABELS_scheduledjob_nojob = "{labels.scheduledjob_nojob}";

    /** The key of the message: Start now */
    public static final String LABELS_scheduledjob_button_start = "{labels.scheduledjob_button_start}";

    /** The key of the message: Stop */
    public static final String LABELS_scheduledjob_button_stop = "{labels.scheduledjob_button_stop}";

    /** The key of the message: Back */
    public static final String LABELS_joblog_button_back = "{labels.joblog_button_back}";

    /** The key of the message: Delete */
    public static final String LABELS_joblog_button_delete = "{labels.joblog_button_delete}";

    /** The key of the message: Job Log */
    public static final String LABELS_joblog_configuration = "{labels.joblog_configuration}";

    /** The key of the message: End Time */
    public static final String LABELS_joblog_endTime = "{labels.joblog_endTime}";

    /** The key of the message: Name */
    public static final String LABELS_joblog_jobName = "{labels.joblog_jobName}";

    /** The key of the message: Status */
    public static final String LABELS_joblog_jobStatus = "{labels.joblog_jobStatus}";

    /** The key of the message: Ok */
    public static final String LABELS_joblog_status_ok = "{labels.joblog_status_ok}";

    /** The key of the message: Failed */
    public static final String LABELS_joblog_status_fail = "{labels.joblog_status_fail}";

    /** The key of the message: Running */
    public static final String LABELS_joblog_status_running = "{labels.joblog_status_running}";

    /** The key of the message: Details */
    public static final String LABELS_joblog_link_details = "{labels.joblog_link_details}";

    /** The key of the message: List */
    public static final String LABELS_joblog_link_list = "{labels.joblog_link_list}";

    /** The key of the message: Script */
    public static final String LABELS_joblog_scriptData = "{labels.joblog_scriptData}";

    /** The key of the message: Result */
    public static final String LABELS_joblog_scriptResult = "{labels.joblog_scriptResult}";

    /** The key of the message: Executor */
    public static final String LABELS_joblog_scriptType = "{labels.joblog_scriptType}";

    /** The key of the message: Start Time */
    public static final String LABELS_joblog_startTime = "{labels.joblog_startTime}";

    /** The key of the message: Target */
    public static final String LABELS_joblog_target = "{labels.joblog_target}";

    /** The key of the message: Job Log Details */
    public static final String LABELS_joblog_title_details = "{labels.joblog_title_details}";

    /** The key of the message: Delete All */
    public static final String LABELS_joblog_delete_all_link = "{labels.joblog_delete_all_link}";

    /** The key of the message: Do you really want to delete all? */
    public static final String LABELS_joblog_delete_all_confirmation = "{labels.joblog_delete_all_confirmation}";

    /** The key of the message: Cancel */
    public static final String LABELS_joblog_delete_all_cancel = "{labels.joblog_delete_all_cancel}";

    /** The key of the message: Dictionary List */
    public static final String LABELS_dict_configuration = "{labels.dict_configuration}";

    /** The key of the message: Dictionary List */
    public static final String LABELS_dict_list_title = "{labels.dict_list_title}";

    /** The key of the message: Dictionaries */
    public static final String LABELS_dict_list_link = "{labels.dict_list_link}";

    /** The key of the message: Name */
    public static final String LABELS_dictionary_name = "{labels.dictionary_name}";

    /** The key of the message: Type */
    public static final String LABELS_dictionary_type = "{labels.dictionary_type}";

    /** The key of the message: Synonym List */
    public static final String LABELS_dict_synonym_configuration = "{labels.dict_synonym_configuration}";

    /** The key of the message: Synonym List */
    public static final String LABELS_dict_synonym_title = "{labels.dict_synonym_title}";

    /** The key of the message: List */
    public static final String LABELS_dict_synonym_list_link = "{labels.dict_synonym_list_link}";

    /** The key of the message: Create New */
    public static final String LABELS_dict_synonym_link_create = "{labels.dict_synonym_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_dict_synonym_link_edit = "{labels.dict_synonym_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_dict_synonym_link_delete = "{labels.dict_synonym_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_dict_synonym_link_details = "{labels.dict_synonym_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_dict_synonym_link_download = "{labels.dict_synonym_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_synonym_link_upload = "{labels.dict_synonym_link_upload}";

    /** The key of the message: Source */
    public static final String LABELS_dict_synonym_source = "{labels.dict_synonym_source}";

    /** The key of the message: Target */
    public static final String LABELS_dict_synonym_target = "{labels.dict_synonym_target}";

    /** The key of the message: Download */
    public static final String LABELS_dict_synonym_button_download = "{labels.dict_synonym_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_synonym_button_upload = "{labels.dict_synonym_button_upload}";

    /** The key of the message: Synonym File */
    public static final String LABELS_dict_synonym_file = "{labels.dict_synonym_file}";

    /** The key of the message: Stemmer Override List */
    public static final String LABELS_dict_stemmeroverride_configuration = "{labels.dict_stemmeroverride_configuration}";

    /** The key of the message: Stemmer Override List */
    public static final String LABELS_dict_stemmeroverride_title = "{labels.dict_stemmeroverride_title}";

    /** The key of the message: List */
    public static final String LABELS_dict_stemmeroverride_list_link = "{labels.dict_stemmeroverride_list_link}";

    /** The key of the message: Create New */
    public static final String LABELS_dict_stemmeroverride_link_create = "{labels.dict_stemmeroverride_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_dict_stemmeroverride_link_edit = "{labels.dict_stemmeroverride_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_dict_stemmeroverride_link_delete = "{labels.dict_stemmeroverride_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_dict_stemmeroverride_link_details = "{labels.dict_stemmeroverride_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_dict_stemmeroverride_link_download = "{labels.dict_stemmeroverride_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_stemmeroverride_link_upload = "{labels.dict_stemmeroverride_link_upload}";

    /** The key of the message: Source */
    public static final String LABELS_dict_stemmeroverride_source = "{labels.dict_stemmeroverride_source}";

    /** The key of the message: Target */
    public static final String LABELS_dict_stemmeroverride_target = "{labels.dict_stemmeroverride_target}";

    /** The key of the message: Download */
    public static final String LABELS_dict_stemmeroverride_button_download = "{labels.dict_stemmeroverride_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_stemmeroverride_button_upload = "{labels.dict_stemmeroverride_button_upload}";

    /** The key of the message: Stemmer Override File */
    public static final String LABELS_dict_stemmeroverride_file = "{labels.dict_stemmeroverride_file}";

    /** The key of the message: Mapping List */
    public static final String LABELS_dict_mapping_configuration = "{labels.dict_mapping_configuration}";

    /** The key of the message: Mapping List */
    public static final String LABELS_dict_mapping_title = "{labels.dict_mapping_title}";

    /** The key of the message: List */
    public static final String LABELS_dict_mapping_list_link = "{labels.dict_mapping_list_link}";

    /** The key of the message: Create New */
    public static final String LABELS_dict_mapping_link_create = "{labels.dict_mapping_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_dict_mapping_link_edit = "{labels.dict_mapping_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_dict_mapping_link_delete = "{labels.dict_mapping_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_dict_mapping_link_details = "{labels.dict_mapping_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_dict_mapping_link_download = "{labels.dict_mapping_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_mapping_link_upload = "{labels.dict_mapping_link_upload}";

    /** The key of the message: Source */
    public static final String LABELS_dict_mapping_source = "{labels.dict_mapping_source}";

    /** The key of the message: Target */
    public static final String LABELS_dict_mapping_target = "{labels.dict_mapping_target}";

    /** The key of the message: Download */
    public static final String LABELS_dict_mapping_button_download = "{labels.dict_mapping_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_mapping_button_upload = "{labels.dict_mapping_button_upload}";

    /** The key of the message: Mapping File */
    public static final String LABELS_dict_mapping_file = "{labels.dict_mapping_file}";

    /** The key of the message: Kuromoji List */
    public static final String LABELS_dict_kuromoji_configuration = "{labels.dict_kuromoji_configuration}";

    /** The key of the message: Kuromoji List */
    public static final String LABELS_dict_kuromoji_title = "{labels.dict_kuromoji_title}";

    /** The key of the message: List */
    public static final String LABELS_dict_kuromoji_list_link = "{labels.dict_kuromoji_list_link}";

    /** The key of the message: Create New */
    public static final String LABELS_dict_kuromoji_link_create = "{labels.dict_kuromoji_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_dict_kuromoji_link_edit = "{labels.dict_kuromoji_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_dict_kuromoji_link_delete = "{labels.dict_kuromoji_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_dict_kuromoji_link_details = "{labels.dict_kuromoji_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_dict_kuromoji_link_download = "{labels.dict_kuromoji_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_kuromoji_link_upload = "{labels.dict_kuromoji_link_upload}";

    /** The key of the message: Token */
    public static final String LABELS_dict_kuromoji_token = "{labels.dict_kuromoji_token}";

    /** The key of the message: Segmentation */
    public static final String LABELS_dict_kuromoji_segmentation = "{labels.dict_kuromoji_segmentation}";

    /** The key of the message: Reading */
    public static final String LABELS_dict_kuromoji_reading = "{labels.dict_kuromoji_reading}";

    /** The key of the message: POS */
    public static final String LABELS_dict_kuromoji_pos = "{labels.dict_kuromoji_pos}";

    /** The key of the message: Download */
    public static final String LABELS_dict_kuromoji_button_download = "{labels.dict_kuromoji_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_kuromoji_button_upload = "{labels.dict_kuromoji_button_upload}";

    /** The key of the message: Kuromoji File */
    public static final String LABELS_dict_kuromoji_file = "{labels.dict_kuromoji_file}";

    /** The key of the message: Protwords List */
    public static final String LABELS_dict_protwords_configuration = "{labels.dict_protwords_configuration}";

    /** The key of the message: Protwords List */
    public static final String LABELS_dict_protwords_title = "{labels.dict_protwords_title}";

    /** The key of the message: List */
    public static final String LABELS_dict_protwords_list_link = "{labels.dict_protwords_list_link}";

    /** The key of the message: Create New */
    public static final String LABELS_dict_protwords_link_create = "{labels.dict_protwords_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_dict_protwords_link_edit = "{labels.dict_protwords_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_dict_protwords_link_delete = "{labels.dict_protwords_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_dict_protwords_link_details = "{labels.dict_protwords_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_dict_protwords_link_download = "{labels.dict_protwords_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_protwords_link_upload = "{labels.dict_protwords_link_upload}";

    /** The key of the message: Source */
    public static final String LABELS_dict_protwords_source = "{labels.dict_protwords_source}";

    /** The key of the message: Download */
    public static final String LABELS_dict_protwords_button_download = "{labels.dict_protwords_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_protwords_button_upload = "{labels.dict_protwords_button_upload}";

    /** The key of the message: Protwords File */
    public static final String LABELS_dict_protwords_file = "{labels.dict_protwords_file}";

    /** The key of the message: Stopwords List */
    public static final String LABELS_dict_stopwords_configuration = "{labels.dict_stopwords_configuration}";

    /** The key of the message: Stopwords List */
    public static final String LABELS_dict_stopwords_title = "{labels.dict_stopwords_title}";

    /** The key of the message: List */
    public static final String LABELS_dict_stopwords_list_link = "{labels.dict_stopwords_list_link}";

    /** The key of the message: Create New */
    public static final String LABELS_dict_stopwords_link_create = "{labels.dict_stopwords_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_dict_stopwords_link_edit = "{labels.dict_stopwords_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_dict_stopwords_link_delete = "{labels.dict_stopwords_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_dict_stopwords_link_details = "{labels.dict_stopwords_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_dict_stopwords_link_download = "{labels.dict_stopwords_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_stopwords_link_upload = "{labels.dict_stopwords_link_upload}";

    /** The key of the message: Source */
    public static final String LABELS_dict_stopwords_source = "{labels.dict_stopwords_source}";

    /** The key of the message: Download */
    public static final String LABELS_dict_stopwords_button_download = "{labels.dict_stopwords_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_dict_stopwords_button_upload = "{labels.dict_stopwords_button_upload}";

    /** The key of the message: Stopwords File */
    public static final String LABELS_dict_stopwords_file = "{labels.dict_stopwords_file}";

    /** The key of the message: Doc Boost */
    public static final String LABELS_boost_document_rule_configuration = "{labels.boost_document_rule_configuration}";

    /** The key of the message: Doc Boost */
    public static final String LABELS_boost_document_rule_title_details = "{labels.boost_document_rule_title_details}";

    /** The key of the message: Condition */
    public static final String LABELS_boost_document_rule_list_url_expr = "{labels.boost_document_rule_list_url_expr}";

    /** The key of the message: Condition */
    public static final String LABELS_boost_document_rule_url_expr = "{labels.boost_document_rule_url_expr}";

    /** The key of the message: Boost Expr */
    public static final String LABELS_boost_document_rule_boost_expr = "{labels.boost_document_rule_boost_expr}";

    /** The key of the message: Sort Order */
    public static final String LABELS_boost_document_rule_sort_order = "{labels.boost_document_rule_sort_order}";

    /** The key of the message: Access Token */
    public static final String LABELS_access_token_configuration = "{labels.access_token_configuration}";

    /** The key of the message: Access Token */
    public static final String LABELS_access_token_title_details = "{labels.access_token_title_details}";

    /** The key of the message: Name */
    public static final String LABELS_access_token_list_name = "{labels.access_token_list_name}";

    /** The key of the message: Name */
    public static final String LABELS_access_token_name = "{labels.access_token_name}";

    /** The key of the message: Token */
    public static final String LABELS_access_token_token = "{labels.access_token_token}";

    /** The key of the message: Expired */
    public static final String LABELS_access_token_expires = "{labels.access_token_expires}";

    /** The key of the message: Parameter Name */
    public static final String LABELS_access_token_parameter_name = "{labels.access_token_parameter_name}";

    /** The key of the message: Created */
    public static final String LABELS_access_token_updated_time = "{labels.access_token_updated_time}";

    /** The key of the message: Suggest Word */
    public static final String LABELS_suggest_word_configuration = "{labels.suggest_word_configuration}";

    /** The key of the message: Suggest Word */
    public static final String LABELS_suggest_word_title_details = "{labels.suggest_word_title_details}";

    /** The key of the message: Word Type */
    public static final String LABELS_suggest_word_type = "{labels.suggest_word_type}";

    /** The key of the message: Word Count */
    public static final String LABELS_suggest_word_number = "{labels.suggest_word_number}";

    /** The key of the message: All */
    public static final String LABELS_suggest_word_type_all = "{labels.suggest_word_type_all}";

    /** The key of the message: Document */
    public static final String LABELS_suggest_word_type_document = "{labels.suggest_word_type_document}";

    /** The key of the message: Query */
    public static final String LABELS_suggest_word_type_query = "{labels.suggest_word_type_query}";

    /** The key of the message: Additional Word */
    public static final String LABELS_elevate_word_configuration = "{labels.elevate_word_configuration}";

    /** The key of the message: Additional Word */
    public static final String LABELS_elevate_word_title_details = "{labels.elevate_word_title_details}";

    /** The key of the message: List */
    public static final String LABELS_elevate_word_link_list = "{labels.elevate_word_link_list}";

    /** The key of the message: Create New */
    public static final String LABELS_elevate_word_link_create = "{labels.elevate_word_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_elevate_word_link_edit = "{labels.elevate_word_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_elevate_word_link_delete = "{labels.elevate_word_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_elevate_word_link_details = "{labels.elevate_word_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_elevate_word_link_download = "{labels.elevate_word_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_elevate_word_link_upload = "{labels.elevate_word_link_upload}";

    /** The key of the message: Download */
    public static final String LABELS_elevate_word_button_download = "{labels.elevate_word_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_elevate_word_button_upload = "{labels.elevate_word_button_upload}";

    /** The key of the message: Word */
    public static final String LABELS_elevate_word_list_suggest_word = "{labels.elevate_word_list_suggest_word}";

    /** The key of the message: Word */
    public static final String LABELS_elevate_word_suggest_word = "{labels.elevate_word_suggest_word}";

    /** The key of the message: Reading */
    public static final String LABELS_elevate_word_reading = "{labels.elevate_word_reading}";

    /** The key of the message: Permissions */
    public static final String LABELS_elevate_word_permissions = "{labels.elevate_word_permissions}";

    /** The key of the message: Boost */
    public static final String LABELS_elevate_word_boost = "{labels.elevate_word_boost}";

    /** The key of the message: Additional Word File */
    public static final String LABELS_elevate_word_file = "{labels.elevate_word_file}";

    /** The key of the message: Bad Word */
    public static final String LABELS_bad_word_configuration = "{labels.bad_word_configuration}";

    /** The key of the message: Bad Word */
    public static final String LABELS_bad_word_title_details = "{labels.bad_word_title_details}";

    /** The key of the message: List */
    public static final String LABELS_bad_word_link_list = "{labels.bad_word_link_list}";

    /** The key of the message: Create New */
    public static final String LABELS_bad_word_link_create = "{labels.bad_word_link_create}";

    /** The key of the message: Edit */
    public static final String LABELS_bad_word_link_edit = "{labels.bad_word_link_edit}";

    /** The key of the message: Delete */
    public static final String LABELS_bad_word_link_delete = "{labels.bad_word_link_delete}";

    /** The key of the message: Details */
    public static final String LABELS_bad_word_link_details = "{labels.bad_word_link_details}";

    /** The key of the message: Download */
    public static final String LABELS_bad_word_link_download = "{labels.bad_word_link_download}";

    /** The key of the message: Upload */
    public static final String LABELS_bad_word_link_upload = "{labels.bad_word_link_upload}";

    /** The key of the message: Download */
    public static final String LABELS_bad_word_button_download = "{labels.bad_word_button_download}";

    /** The key of the message: Upload */
    public static final String LABELS_bad_word_button_upload = "{labels.bad_word_button_upload}";

    /** The key of the message: Bad Word */
    public static final String LABELS_bad_word_list_suggest_word = "{labels.bad_word_list_suggest_word}";

    /** The key of the message: Bad Word */
    public static final String LABELS_bad_word_suggest_word = "{labels.bad_word_suggest_word}";

    /** The key of the message: Bad Word File */
    public static final String LABELS_bad_word_file = "{labels.bad_word_file}";

    /** The key of the message: User */
    public static final String LABELS_user_configuration = "{labels.user_configuration}";

    /** The key of the message: Name */
    public static final String LABELS_user_list_name = "{labels.user_list_name}";

    /** The key of the message: Password */
    public static final String LABELS_user_password = "{labels.user_password}";

    /** The key of the message: Confirm */
    public static final String LABELS_user_confirm_password = "{labels.user_confirm_password}";

    /** The key of the message: User */
    public static final String LABELS_user_title_details = "{labels.user_title_details}";

    /** The key of the message: Role */
    public static final String LABELS_role_configuration = "{labels.role_configuration}";

    /** The key of the message: Name */
    public static final String LABELS_role_list_name = "{labels.role_list_name}";

    /** The key of the message: Name */
    public static final String LABELS_role_name = "{labels.role_name}";

    /** The key of the message: Role */
    public static final String LABELS_role_title_details = "{labels.role_title_details}";

    /** The key of the message: Group */
    public static final String LABELS_group_configuration = "{labels.group_configuration}";

    /** The key of the message: Name */
    public static final String LABELS_group_list_name = "{labels.group_list_name}";

    /** The key of the message: Name */
    public static final String LABELS_group_name = "{labels.group_name}";

    /** The key of the message: Group */
    public static final String LABELS_group_title_details = "{labels.group_title_details}";

    /** The key of the message: Related Content */
    public static final String LABELS_related_content_configuration = "{labels.related_content_configuration}";

    /** The key of the message: Content */
    public static final String LABELS_related_content_content = "{labels.related_content_content}";

    /** The key of the message: Term */
    public static final String LABELS_related_content_list_term = "{labels.related_content_list_term}";

    /** The key of the message: Term */
    public static final String LABELS_related_content_term = "{labels.related_content_term}";

    /** The key of the message: Related Content */
    public static final String LABELS_related_content_title_details = "{labels.related_content_title_details}";

    /** The key of the message: Related Query */
    public static final String LABELS_related_query_configuration = "{labels.related_query_configuration}";

    /** The key of the message: Term */
    public static final String LABELS_related_query_list_term = "{labels.related_query_list_term}";

    /** The key of the message: Queries */
    public static final String LABELS_related_query_queries = "{labels.related_query_queries}";

    /** The key of the message: Term */
    public static final String LABELS_related_query_term = "{labels.related_query_term}";

    /** The key of the message: Related Query */
    public static final String LABELS_related_query_title_details = "{labels.related_query_title_details}";

    /** The key of the message: Create */
    public static final String LABELS_crud_button_create = "{labels.crud_button_create}";

    /** The key of the message: Update */
    public static final String LABELS_crud_button_update = "{labels.crud_button_update}";

    /** The key of the message: Delete */
    public static final String LABELS_crud_button_delete = "{labels.crud_button_delete}";

    /** The key of the message: Back */
    public static final String LABELS_crud_button_back = "{labels.crud_button_back}";

    /** The key of the message: Edit */
    public static final String LABELS_crud_button_edit = "{labels.crud_button_edit}";

    /** The key of the message: Search */
    public static final String LABELS_crud_button_search = "{labels.crud_button_search}";

    /** The key of the message: Reset */
    public static final String LABELS_crud_button_reset = "{labels.crud_button_reset}";

    /** The key of the message: Cancel */
    public static final String LABELS_crud_button_cancel = "{labels.crud_button_cancel}";

    /** The key of the message: Create New */
    public static final String LABELS_crud_link_create = "{labels.crud_link_create}";

    /** The key of the message: Delete */
    public static final String LABELS_crud_link_delete = "{labels.crud_link_delete}";

    /** The key of the message: Edit */
    public static final String LABELS_crud_link_edit = "{labels.crud_link_edit}";

    /** The key of the message: Details */
    public static final String LABELS_crud_link_details = "{labels.crud_link_details}";

    /** The key of the message: List */
    public static final String LABELS_crud_link_list = "{labels.crud_link_list}";

    /** The key of the message: List */
    public static final String LABELS_crud_title_list = "{labels.crud_title_list}";

    /** The key of the message: Create */
    public static final String LABELS_crud_title_create = "{labels.crud_title_create}";

    /** The key of the message: Edit */
    public static final String LABELS_crud_title_edit = "{labels.crud_title_edit}";

    /** The key of the message: Confirm to delete */
    public static final String LABELS_crud_title_delete = "{labels.crud_title_delete}";

    /** The key of the message: Details */
    public static final String LABELS_crud_title_details = "{labels.crud_title_details}";

    /** The key of the message: Do you really want to delete it? */
    public static final String LABELS_crud_delete_confirmation = "{labels.crud_delete_confirmation}";

    /** The key of the message: Fess */
    public static final String LABELS_admin_brand_title = "{labels.admin_brand_title}";

    /** The key of the message: Dashboard */
    public static final String LABELS_admin_dashboard_title = "{labels.admin_dashboard_title}";

    /** The key of the message: Toggle navigation */
    public static final String LABELS_admin_toggle_navi = "{labels.admin_toggle_navi}";

    /** The key of the message: System */
    public static final String LABELS_general_menu_system = "{labels.general_menu_system}";

    /** The key of the message: Crawler */
    public static final String LABELS_general_menu_crawler = "{labels.general_menu_crawler}";

    /** The key of the message: Logging */
    public static final String LABELS_general_menu_logging = "{labels.general_menu_logging}";

    /** The key of the message: Suggest */
    public static final String LABELS_general_menu_suggest = "{labels.general_menu_suggest}";

    /** The key of the message: LDAP */
    public static final String LABELS_general_menu_ldap = "{labels.general_menu_ldap}";

    /** The key of the message: Notification */
    public static final String LABELS_general_menu_notification = "{labels.general_menu_notification}";

    /** The key of the message: Storage */
    public static final String LABELS_general_storage = "{labels.general_storage}";

    /** The key of the message: LDAP URL */
    public static final String LABELS_ldap_provider_url = "{labels.ldap_provider_url}";

    /** The key of the message: User DN */
    public static final String LABELS_ldap_security_principal = "{labels.ldap_security_principal}";

    /** The key of the message: Bind DN */
    public static final String LABELS_ldap_admin_security_principal = "{labels.ldap_admin_security_principal}";

    /** The key of the message: Password */
    public static final String LABELS_ldap_admin_security_credentials = "{labels.ldap_admin_security_credentials}";

    /** The key of the message: Base DN */
    public static final String LABELS_ldap_base_dn = "{labels.ldap_base_dn}";

    /** The key of the message: Account Filter */
    public static final String LABELS_ldap_account_filter = "{labels.ldap_account_filter}";

    /** The key of the message: Group Filter */
    public static final String LABELS_ldap_group_filter = "{labels.ldap_group_filter}";

    /** The key of the message: memberOf Attribute */
    public static final String LABELS_ldap_memberof_attribute = "{labels.ldap_memberof_attribute}";

    /** The key of the message: Login page */
    public static final String LABELS_notification_login = "{labels.notification_login}";

    /** The key of the message: Search top page */
    public static final String LABELS_notification_search_top = "{labels.notification_search_top}";

    /** The key of the message: Endpoint */
    public static final String LABELS_storage_endpoint = "{labels.storage_endpoint}";

    /** The key of the message: Access Key */
    public static final String LABELS_storage_access_key = "{labels.storage_access_key}";

    /** The key of the message: Secret Key */
    public static final String LABELS_storage_secret_key = "{labels.storage_secret_key}";

    /** The key of the message: Bucket */
    public static final String LABELS_storage_bucket = "{labels.storage_bucket}";

    /** The key of the message: Send TestMail */
    public static final String LABELS_send_testmail = "{labels.send_testmail}";

    /** The key of the message: Back Up */
    public static final String LABELS_backup_configuration = "{labels.backup_configuration}";

    /** The key of the message: Name */
    public static final String LABELS_backup_name = "{labels.backup_name}";

    /** The key of the message: Bulk File */
    public static final String LABELS_backup_bulk_file = "{labels.backup_bulk_file}";

    /** The key of the message: Upload */
    public static final String LABELS_backup_button_upload = "{labels.backup_button_upload}";

    /** The key of the message: The limit of a search time was exceeded. The partial result might be displayed. */
    public static final String LABELS_process_time_is_exceeded = "{labels.process_time_is_exceeded}";

    /** The key of the message: First Name */
    public static final String LABELS_user_given_name = "{labels.user_given_name}";

    /** The key of the message: First Name */
    public static final String LABELS_GIVEN_NAME = "{labels.givenName}";

    /** The key of the message: Last Name */
    public static final String LABELS_user_surname = "{labels.user_surname}";

    /** The key of the message: Last Name */
    public static final String LABELS_SURAME = "{labels.surame}";

    /** The key of the message: E-mail */
    public static final String LABELS_user_mail = "{labels.user_mail}";

    /** The key of the message: E-mail */
    public static final String LABELS_MAIL = "{labels.mail}";

    /** The key of the message: Employee Number */
    public static final String LABELS_user_employeeNumber = "{labels.user_employeeNumber}";

    /** The key of the message: Employee Number */
    public static final String LABELS_EMPLOYEE_NUMBER = "{labels.employeeNumber}";

    /** The key of the message: Telephone Number */
    public static final String LABELS_user_telephoneNumber = "{labels.user_telephoneNumber}";

    /** The key of the message: Telephone Number */
    public static final String LABELS_TELEPHONE_NUMBER = "{labels.telephoneNumber}";

    /** The key of the message: Home Phone */
    public static final String LABELS_user_homePhone = "{labels.user_homePhone}";

    /** The key of the message: Home Phone */
    public static final String LABELS_HOME_PHONE = "{labels.homePhone}";

    /** The key of the message: Home Postal Address */
    public static final String LABELS_user_homePostalAddress = "{labels.user_homePostalAddress}";

    /** The key of the message: Home Postal Address */
    public static final String LABELS_HOME_POSTAL_ADDRESS = "{labels.homePostalAddress}";

    /** The key of the message: labeledURI */
    public static final String LABELS_user_labeledURI = "{labels.user_labeledURI}";

    /** The key of the message: labeledURI */
    public static final String LABELS_LABELED_U_R_I = "{labels.labeledURI}";

    /** The key of the message: Room Number */
    public static final String LABELS_user_roomNumber = "{labels.user_roomNumber}";

    /** The key of the message: Room Number */
    public static final String LABELS_ROOM_NUMBER = "{labels.roomNumber}";

    /** The key of the message: Description */
    public static final String LABELS_user_description = "{labels.user_description}";

    /** The key of the message: Description */
    public static final String LABELS_DESCRIPTION = "{labels.description}";

    /** The key of the message: Title */
    public static final String LABELS_user_title = "{labels.user_title}";

    /** The key of the message: Title */
    public static final String LABELS_TITLE = "{labels.title}";

    /** The key of the message: Pager */
    public static final String LABELS_user_pager = "{labels.user_pager}";

    /** The key of the message: Pager */
    public static final String LABELS_PAGER = "{labels.pager}";

    /** The key of the message: Street */
    public static final String LABELS_user_street = "{labels.user_street}";

    /** The key of the message: Street */
    public static final String LABELS_STREET = "{labels.street}";

    /** The key of the message: Postal Code */
    public static final String LABELS_user_postalCode = "{labels.user_postalCode}";

    /** The key of the message: Postal Code */
    public static final String LABELS_POSTAL_CODE = "{labels.postalCode}";

    /** The key of the message: Physical Delivery Office Name */
    public static final String LABELS_user_physicalDeliveryOfficeName = "{labels.user_physicalDeliveryOfficeName}";

    /** The key of the message: Physical Delivery Office Name */
    public static final String LABELS_PHYSICAL_DELIVERY_OFFICE_NAME = "{labels.physicalDeliveryOfficeName}";

    /** The key of the message: Destination Indicator */
    public static final String LABELS_user_destinationIndicator = "{labels.user_destinationIndicator}";

    /** The key of the message: Destination Indicator */
    public static final String LABELS_DESTINATION_INDICATOR = "{labels.destinationIndicator}";

    /** The key of the message: International ISDN Number */
    public static final String LABELS_user_internationaliSDNNumber = "{labels.user_internationaliSDNNumber}";

    /** The key of the message: International ISDN Number */
    public static final String LABELS_INTERNATIONALI_S_D_N_NUMBER = "{labels.internationaliSDNNumber}";

    /** The key of the message: State */
    public static final String LABELS_user_state = "{labels.user_state}";

    /** The key of the message: State */
    public static final String LABELS_STATE = "{labels.state}";

    /** The key of the message: Employee Type */
    public static final String LABELS_user_employeeType = "{labels.user_employeeType}";

    /** The key of the message: Employee Type */
    public static final String LABELS_EMPLOYEE_TYPE = "{labels.employeeType}";

    /** The key of the message: Facsimile Telephone Number */
    public static final String LABELS_user_facsimileTelephoneNumber = "{labels.user_facsimileTelephoneNumber}";

    /** The key of the message: Facsimile Telephone Number */
    public static final String LABELS_FACSIMILE_TELEPHONE_NUMBER = "{labels.facsimileTelephoneNumber}";

    /** The key of the message: Post Office Box */
    public static final String LABELS_user_postOfficeBox = "{labels.user_postOfficeBox}";

    /** The key of the message: Post Office Box */
    public static final String LABELS_POST_OFFICE_BOX = "{labels.postOfficeBox}";

    /** The key of the message: Initials */
    public static final String LABELS_user_initials = "{labels.user_initials}";

    /** The key of the message: Initials */
    public static final String LABELS_INITIALS = "{labels.initials}";

    /** The key of the message: Car License */
    public static final String LABELS_user_carLicense = "{labels.user_carLicense}";

    /** The key of the message: Car License */
    public static final String LABELS_CAR_LICENSE = "{labels.carLicense}";

    /** The key of the message: Mobile */
    public static final String LABELS_user_mobile = "{labels.user_mobile}";

    /** The key of the message: Mobile */
    public static final String LABELS_MOBILE = "{labels.mobile}";

    /** The key of the message: Postal Address */
    public static final String LABELS_user_postalAddress = "{labels.user_postalAddress}";

    /** The key of the message: Postal Address */
    public static final String LABELS_POSTAL_ADDRESS = "{labels.postalAddress}";

    /** The key of the message: City */
    public static final String LABELS_user_city = "{labels.user_city}";

    /** The key of the message: City */
    public static final String LABELS_CITY = "{labels.city}";

    /** The key of the message: Teletex Terminal Identifier */
    public static final String LABELS_user_teletexTerminalIdentifier = "{labels.user_teletexTerminalIdentifier}";

    /** The key of the message: Teletex Terminal Identifier */
    public static final String LABELS_TELETEX_TERMINAL_IDENTIFIER = "{labels.teletexTerminalIdentifier}";

    /** The key of the message: X121 Address */
    public static final String LABELS_user_x121Address = "{labels.user_x121Address}";

    /** The key of the message: X121 Address */
    public static final String LABELS_X121_ADDRESS = "{labels.x121Address}";

    /** The key of the message: Business Category */
    public static final String LABELS_user_businessCategory = "{labels.user_businessCategory}";

    /** The key of the message: Business Category */
    public static final String LABELS_BUSINESS_CATEGORY = "{labels.businessCategory}";

    /** The key of the message: Registered Address */
    public static final String LABELS_user_registeredAddress = "{labels.user_registeredAddress}";

    /** The key of the message: Registered Address */
    public static final String LABELS_REGISTERED_ADDRESS = "{labels.registeredAddress}";

    /** The key of the message: Display Name */
    public static final String LABELS_user_displayName = "{labels.user_displayName}";

    /** The key of the message: Display Name */
    public static final String LABELS_DISPLAY_NAME = "{labels.displayName}";

    /** The key of the message: Preferred Language */
    public static final String LABELS_user_preferredLanguage = "{labels.user_preferredLanguage}";

    /** The key of the message: Preferred Language */
    public static final String LABELS_PREFERRED_LANGUAGE = "{labels.preferredLanguage}";

    /** The key of the message: Department Number */
    public static final String LABELS_user_departmentNumber = "{labels.user_departmentNumber}";

    /** The key of the message: Department Number */
    public static final String LABELS_DEPARTMENT_NUMBER = "{labels.departmentNumber}";

    /** The key of the message: uidNumber */
    public static final String LABELS_user_uidNumber = "{labels.user_uidNumber}";

    /** The key of the message: uidNumber */
    public static final String LABELS_UID_NUMBER = "{labels.uidNumber}";

    /** The key of the message: gidNumber */
    public static final String LABELS_user_gidNumber = "{labels.user_gidNumber}";

    /** The key of the message: gidNumber */
    public static final String LABELS_group_gidNumber = "{labels.group_gidNumber}";

    /** The key of the message: gidNumber */
    public static final String LABELS_GID_NUMBER = "{labels.gidNumber}";

    /** The key of the message: Home Directory */
    public static final String LABELS_user_homeDirectory = "{labels.user_homeDirectory}";

    /** The key of the message: Home Directory */
    public static final String LABELS_HOME_DIRECTORY = "{labels.homeDirectory}";

    /** The key of the message: Upgrade */
    public static final String LABELS_upgrade_title_configuration = "{labels.upgrade_title_configuration}";

    /** The key of the message: Data Migration */
    public static final String LABELS_upgrade_data_migration = "{labels.upgrade_data_migration}";

    /** The key of the message: Reindex */
    public static final String LABELS_upgrade_reindex = "{labels.upgrade_reindex}";

    /** The key of the message: Start */
    public static final String LABELS_upgrade_start_button = "{labels.upgrade_start_button}";

    /** The key of the message: Update Aliases */
    public static final String LABELS_replace_aliases = "{labels.replace_aliases}";

    /** The key of the message: Reset Dictionaries */
    public static final String LABELS_reset_dictionaries = "{labels.reset_dictionaries}";

    /** The key of the message: Start */
    public static final String LABELS_reindex_start_button = "{labels.reindex_start_button}";

    /** The key of the message: Version */
    public static final String LABELS_TARGET_VERSION = "{labels.targetVersion}";

    /** The key of the message: Version From */
    public static final String LABELS_target_version = "{labels.target_version}";

    /** The key of the message: Request to OpenSearch */
    public static final String LABELS_esreq_configuration = "{labels.esreq_configuration}";

    /** The key of the message: Request File */
    public static final String LABELS_esreq_request_file = "{labels.esreq_request_file}";

    /** The key of the message: Request File */
    public static final String LABELS_REQUEST_FILE = "{labels.requestFile}";

    /** The key of the message: Send */
    public static final String LABELS_esreq_button_upload = "{labels.esreq_button_upload}";

    /** The key of the message: No match */
    public static final String LABELS_facet_is_not_found = "{labels.facet_is_not_found}";

    /** The key of the message: Score: */
    public static final String LABELS_doc_score = "{labels.doc_score}";

    /** The key of the message: Running as Development mode. For production use, please install a standalone OpenSearch server. */
    public static final String LABELS_development_mode_warning = "{labels.development_mode_warning}";

    /** The key of the message: Your system is out of support. See EOL page. */
    public static final String LABELS_eol_error = "{labels.eol_error}";

    /** The key of the message: Search View */
    public static final String LABELS_tooltip_search_view = "{labels.tooltip_search_view}";

    /** The key of the message: Run Crawler */
    public static final String LABELS_tooltip_run_crawler = "{labels.tooltip_run_crawler}";

    /** The key of the message: Forum */
    public static final String LABELS_tooltip_forum = "{labels.tooltip_forum}";

    /** The key of the message: Help */
    public static final String LABELS_tooltip_onlinehelp = "{labels.tooltip_onlinehelp}";

    /** The key of the message: Logout */
    public static final String LABELS_tooltip_logout = "{labels.tooltip_logout}";

    /** The key of the message: Advance */
    public static final String LABELS_ADVANCE = "{labels.advance}";

    /** The key of the message: Advanced Search */
    public static final String LABELS_advance_search_title = "{labels.advance_search_title}";

    /** The key of the message: All these words */
    public static final String LABELS_advance_search_must_queries = "{labels.advance_search_must_queries}";

    /** The key of the message: Phrase search of these words */
    public static final String LABELS_advance_search_phrase_query = "{labels.advance_search_phrase_query}";

    /** The key of the message: Any of these words */
    public static final String LABELS_advance_search_should_queries = "{labels.advance_search_should_queries}";

    /** The key of the message: None of these words */
    public static final String LABELS_advance_search_not_queries = "{labels.advance_search_not_queries}";

    /** The key of the message: File Type */
    public static final String LABELS_advance_search_filetype = "{labels.advance_search_filetype}";

    /** The key of the message: All Type */
    public static final String LABELS_advance_search_filetype_default = "{labels.advance_search_filetype_default}";

    /** The key of the message: HTML */
    public static final String LABELS_advance_search_filetype_html = "{labels.advance_search_filetype_html}";

    /** The key of the message: PDF */
    public static final String LABELS_advance_search_filetype_pdf = "{labels.advance_search_filetype_pdf}";

    /** The key of the message: MS Word */
    public static final String LABELS_advance_search_filetype_word = "{labels.advance_search_filetype_word}";

    /** The key of the message: MS Excel */
    public static final String LABELS_advance_search_filetype_excel = "{labels.advance_search_filetype_excel}";

    /** The key of the message: MS PowerPoint */
    public static final String LABELS_advance_search_filetype_powerpoint = "{labels.advance_search_filetype_powerpoint}";

    /** The key of the message: Terms appearing */
    public static final String LABELS_advance_search_occt = "{labels.advance_search_occt}";

    /** The key of the message: anywhere in the page */
    public static final String LABELS_advance_search_occt_default = "{labels.advance_search_occt_default}";

    /** The key of the message: in the title of the page */
    public static final String LABELS_advance_search_occt_allintitle = "{labels.advance_search_occt_allintitle}";

    /** The key of the message: in the url of the page */
    public static final String LABELS_advance_search_occt_allinurl = "{labels.advance_search_occt_allinurl}";

    /** The key of the message: Site or domain */
    public static final String LABELS_advance_search_sitesearch = "{labels.advance_search_sitesearch}";

    /** The key of the message: Last update */
    public static final String LABELS_advance_search_timestamp = "{labels.advance_search_timestamp}";

    /** The key of the message: anytime */
    public static final String LABELS_advance_search_timestamp_default = "{labels.advance_search_timestamp_default}";

    /** The key of the message: past 24 hours */
    public static final String LABELS_advance_search_timestamp_pastday = "{labels.advance_search_timestamp_pastday}";

    /** The key of the message: past week */
    public static final String LABELS_advance_search_timestamp_pastweek = "{labels.advance_search_timestamp_pastweek}";

    /** The key of the message: past month */
    public static final String LABELS_advance_search_timestamp_pastmonth = "{labels.advance_search_timestamp_pastmonth}";

    /** The key of the message: past year */
    public static final String LABELS_advance_search_timestamp_pastyear = "{labels.advance_search_timestamp_pastyear}";

    /** The key of the message: Search Log */
    public static final String LABELS_searchlog_configuration = "{labels.searchlog_configuration}";

    /** The key of the message: Search Log */
    public static final String LABELS_searchlog_title = "{labels.searchlog_title}";

    /** The key of the message: Log Type */
    public static final String LABELS_searchlog_log_type = "{labels.searchlog_log_type}";

    /** The key of the message: Search Log */
    public static final String LABELS_searchlog_log_type_search = "{labels.searchlog_log_type_search}";

    /** The key of the message: Click Log */
    public static final String LABELS_searchlog_log_type_click = "{labels.searchlog_log_type_click}";

    /** The key of the message: Favorite Log */
    public static final String LABELS_searchlog_log_type_favorite = "{labels.searchlog_log_type_favorite}";

    /** The key of the message: User Information */
    public static final String LABELS_searchlog_log_type_user_info = "{labels.searchlog_log_type_user_info}";

    /** The key of the message: Keywords */
    public static final String LABELS_searchlog_log_type_search_keyword = "{labels.searchlog_log_type_search_keyword}";

    /** The key of the message: Zero Hits */
    public static final String LABELS_searchlog_log_type_search_zerohit = "{labels.searchlog_log_type_search_zerohit}";

    /** The key of the message: Zero Clicks */
    public static final String LABELS_searchlog_log_type_search_zeroclick = "{labels.searchlog_log_type_search_zeroclick}";

    /** The key of the message: Keyword by Hour */
    public static final String LABELS_searchlog_log_type_search_count_hour = "{labels.searchlog_log_type_search_count_hour}";

    /** The key of the message: Keyword by Day */
    public static final String LABELS_searchlog_log_type_search_count_day = "{labels.searchlog_log_type_search_count_day}";

    /** The key of the message: User by Hour */
    public static final String LABELS_searchlog_log_type_search_user_hour = "{labels.searchlog_log_type_search_user_hour}";

    /** The key of the message: User by Day */
    public static final String LABELS_searchlog_log_type_search_user_day = "{labels.searchlog_log_type_search_user_day}";

    /** The key of the message: Request Time Avg. by Hour */
    public static final String LABELS_searchlog_log_type_search_reqtimeavg_hour = "{labels.searchlog_log_type_search_reqtimeavg_hour}";

    /** The key of the message: Request Time Avg. by Day */
    public static final String LABELS_searchlog_log_type_search_reqtimeavg_day = "{labels.searchlog_log_type_search_reqtimeavg_day}";

    /** The key of the message: Click Count */
    public static final String LABELS_searchlog_log_type_click_count = "{labels.searchlog_log_type_click_count}";

    /** The key of the message: Favorite Count */
    public static final String LABELS_searchlog_log_type_favorite_count = "{labels.searchlog_log_type_favorite_count}";

    /** The key of the message: Message */
    public static final String LABELS_searchlog_log_message = "{labels.searchlog_log_message}";

    /** The key of the message: Time */
    public static final String LABELS_searchlog_requested_time = "{labels.searchlog_requested_time}";

    /** The key of the message: Value */
    public static final String LABELS_searchlog_value = "{labels.searchlog_value}";

    /** The key of the message: Count */
    public static final String LABELS_searchlog_count = "{labels.searchlog_count}";

    /** The key of the message: Log Details */
    public static final String LABELS_searchlog_configuration_details = "{labels.searchlog_configuration_details}";

    /** The key of the message: Search Log */
    public static final String LABELS_searchlog_configuration_link_top = "{labels.searchlog_configuration_link_top}";

    /** The key of the message: Details */
    public static final String LABELS_searchlog_configuration_link_details = "{labels.searchlog_configuration_link_details}";

    /** The key of the message: Back */
    public static final String LABELS_searchlog_configuration_button_back = "{labels.searchlog_configuration_button_back}";

    /** The key of the message: Delete */
    public static final String LABELS_searchlog_configuration_button_delete = "{labels.searchlog_configuration_button_delete}";

    /** The key of the message: Size */
    public static final String LABELS_searchlog_size = "{labels.searchlog_size}";

    /** The key of the message: Query ID */
    public static final String LABELS_searchlog_queryid = "{labels.searchlog_queryid}";

    /** The key of the message: User ID */
    public static final String LABELS_searchlog_usersessionid = "{labels.searchlog_usersessionid}";

    /** The key of the message: Time */
    public static final String LABELS_searchlog_requestedtime = "{labels.searchlog_requestedtime}";

    /** The key of the message: Access Type */
    public static final String LABELS_searchlog_accesstype = "{labels.searchlog_accesstype}";

    /** The key of the message: Maintenance */
    public static final String LABELS_maintenance_title_configuration = "{labels.maintenance_title_configuration}";

    /** The key of the message: The number of shards */
    public static final String LABELS_number_of_shards_for_doc = "{labels.number_of_shards_for_doc}";

    /** The key of the message: Auto expand replicas */
    public static final String LABELS_auto_expand_replicas_for_doc = "{labels.auto_expand_replicas_for_doc}";

    /** The key of the message: Crawler Indices */
    public static final String LABELS_clear_crawler_index = "{labels.clear_crawler_index}";

    /** The key of the message: Clear Crawler Indices */
    public static final String LABELS_clear_crawler_index_button = "{labels.clear_crawler_index_button}";

    /** The key of the message: Diagnostic */
    public static final String LABELS_diagnostic_logs = "{labels.diagnostic_logs}";

    /** The key of the message: Download Logs */
    public static final String LABELS_download_diagnostic_logs_button = "{labels.download_diagnostic_logs_button}";

    /** The key of the message: Reload Doc Index */
    public static final String LABELS_reload_doc_index = "{labels.reload_doc_index}";

    /** The key of the message: Reload */
    public static final String LABELS_reload_doc_index_button = "{labels.reload_doc_index_button}";

    /** The key of the message: Plugin */
    public static final String LABELS_plugin_title = "{labels.plugin_title}";

    /** The key of the message: Plugin List */
    public static final String LABELS_plugin_list_name = "{labels.plugin_list_name}";

    /** The key of the message: Type */
    public static final String LABELS_plugin_type = "{labels.plugin_type}";

    /** The key of the message: Name */
    public static final String LABELS_plugin_name = "{labels.plugin_name}";

    /** The key of the message: Version */
    public static final String LABELS_plugin_version = "{labels.plugin_version}";

    /** The key of the message: Delete */
    public static final String LABELS_plugin_delete = "{labels.plugin_delete}";

    /** The key of the message: Install */
    public static final String LABELS_plugin_install = "{labels.plugin_install}";

    /** The key of the message: Install Plugin */
    public static final String LABELS_plugin_install_title = "{labels.plugin_install_title}";

    /** The key of the message: Jar File */
    public static final String LABELS_plugin_jar_file = "{labels.plugin_jar_file}";

    /** The key of the message: Local */
    public static final String LABELS_plugin_local_install = "{labels.plugin_local_install}";

    /** The key of the message: Remote */
    public static final String LABELS_plugin_remote_install = "{labels.plugin_remote_install}";

    /** The key of the message: Install */
    public static final String LABELS_crud_button_install = "{labels.crud_button_install}";

    /** The key of the message: Storage */
    public static final String LABELS_storage_configuration = "{labels.storage_configuration}";

    /** The key of the message: Name */
    public static final String LABELS_storage_name = "{labels.storage_name}";

    /** The key of the message: Size */
    public static final String LABELS_storage_size = "{labels.storage_size}";

    /** The key of the message: Last Modified */
    public static final String LABELS_storage_last_modified = "{labels.storage_last_modified}";

    /** The key of the message: Upload File */
    public static final String LABELS_storage_upload_file = "{labels.storage_upload_file}";

    /** The key of the message: Upload */
    public static final String LABELS_storage_button_upload = "{labels.storage_button_upload}";

    /** The key of the message: Bucket Name */
    public static final String LABELS_storage_bucket_name = "{labels.storage_bucket_name}";

    /** The key of the message: File */
    public static final String LABELS_storage_file = "{labels.storage_file}";

    /** The key of the message: Folder Name */
    public static final String LABELS_storage_folder_name = "{labels.storage_folder_name}";

    /** The key of the message: Download */
    public static final String LABELS_storage_button_download = "{labels.storage_button_download}";

    /** The key of the message: Tags */
    public static final String LABELS_storage_button_tags = "{labels.storage_button_tags}";

    /** The key of the message: Tag: */
    public static final String LABELS_storage_title_tag = "{labels.storage_title_tag}";

    /** The key of the message: Tag Key */
    public static final String LABELS_storage_tag_key = "{labels.storage_tag_key}";

    /** The key of the message: Tag Value */
    public static final String LABELS_storage_tag_value = "{labels.storage_tag_value}";

    /** The key of the message: Your password needs to be updated. */
    public static final String LABELS_LOGIN_NEWPASSWORD = "{labels.login.newpassword}";

    /** The key of the message: New Password */
    public static final String LABELS_LOGIN_placeholder_new_password = "{labels.login.placeholder_new_password}";

    /** The key of the message: Confirm New Password */
    public static final String LABELS_LOGIN_placeholder_confirm_new_password = "{labels.login.placeholder_confirm_new_password}";

    /** The key of the message: Update */
    public static final String LABELS_LOGIN_UPDATE = "{labels.login.update}";

    /**
     * Assert the property is not null.
     * @param property The value of the property. (NotNull)
     */
    protected void assertPropertyNotNull(String property) {
        if (property == null) {
            String msg = "The argument 'property' for message should not be null.";
            throw new IllegalArgumentException(msg);
        }
    }
}
